javax.media.opengl

## Interface GL2ES2

- All Superinterfaces:
    GL, GLBase
  All Known Subinterfaces:
    GL2, GL2ES3, GL2GL3, GL3, GL3bc, GL3ES3, GL4, GL4bc, GL4ES3, GLES2, GLES3
  All Known Implementing Classes:
    DebugGL2, DebugGL3, DebugGL3bc, DebugGL4, DebugGL4bc, DebugGLES2, DebugGLES3, TraceGL2, TraceGL3, TraceGL3bc, TraceGL4, TraceGL4bc, TraceGLES2, TraceGLES3

      public interface GL2ES2
      extends GL

  Interface containing the common subset of GL3, GL2 and GLES2.
  This interface reflects only the programmable shader functionality of desktop and embedded OpenGL
  This interface is almost GLES2 complete.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `GL_ACTIVE_ATTRIBUTE_MAX_LENGTH` Part of `GL_ES_VERSION_2_0`, `GL_VERSION_2_0`
    `static int` | `GL_ACTIVE_ATTRIBUTES` Part of `GL_ES_VERSION_2_0`, `GL_VERSION_2_0`
    `static int` | `GL_ACTIVE_PROGRAM` Part of `GL_VERSION_4_1`, `GL_ARB_separate_shader_objects`; `GL_EXT_separate_shader_objects`
    `static int` | `GL_ACTIVE_UNIFORM_MAX_LENGTH` Part of `GL_ES_VERSION_2_0`, `GL_VERSION_2_0`
    `static int` | `GL_ACTIVE_UNIFORMS` Part of `GL_ES_VERSION_2_0`, `GL_VERSION_2_0`
    `static int` | `GL_ALL_SHADER_BITS` Part of `GL_ARB_separate_shader_objects`, `GL_EXT_separate_shader_objects`
    `static int` | `GL_ANY_SAMPLES_PASSED` Part of `GL_ARB_occlusion_query2`, `GL_ES_VERSION_3_0`, `GL_VERSION_3_3`; `GL_EXT_occlusion_query_boolean`
    `static int` | `GL_ANY_SAMPLES_PASSED_CONSERVATIVE` Part of `GL_ES_VERSION_3_0`, `GL_VERSION_4_3`, `GL_ARB_ES3_compatibility`; `GL_EXT_occlusion_query_boolean`
    `static int` | `GL_ATTACHED_SHADERS` Part of `GL_ES_VERSION_2_0`, `GL_VERSION_2_0`
    `static int` | `GL_BLEND_COLOR` Part of `GL_ES_VERSION_2_0`, `GL_ARB_imaging`
    `static int` | `GL_BOOL` Part of `GL_ES_VERSION_2_0`, `GL_VERSION_2_0`
    `static int` | `GL_BOOL_VEC2` Part of `GL_ES_VERSION_2_0`, `GL_VERSION_2_0`
    `static int` | `GL_BOOL_VEC3` Part of `GL_ES_VERSION_2_0`, `GL_VERSION_2_0`
    `static int` | `GL_BOOL_VEC4` Part of `GL_ES_VERSION_2_0`, `GL_VERSION_2_0`
    `static int` | `GL_BUFFER` Part of `GL_VERSION_4_3`, `GL_KHR_debug`; `GL_KHR_debug`
    `static int` | `GL_COLOR_ATTACHMENT1` Part of `GL_ARB_framebuffer_object`, `GL_ES_VERSION_3_0`, `GL_VERSION_3_0`; `GL_NV_draw_buffers`; `GL_EXT_framebuffer_object`, `GL_EXT_draw_buffers`
    `static int` | `GL_COLOR_ATTACHMENT10` Part of `GL_ARB_framebuffer_object`, `GL_ES_VERSION_3_0`, `GL_VERSION_3_0`; `GL_NV_draw_buffers`; `GL_EXT_framebuffer_object`, `GL_EXT_draw_buffers`
    `static int` | `GL_COLOR_ATTACHMENT11` Part of `GL_ARB_framebuffer_object`, `GL_ES_VERSION_3_0`, `GL_VERSION_3_0`; `GL_NV_draw_buffers`; `GL_EXT_framebuffer_object`, `GL_EXT_draw_buffers`
    `static int` | `GL_COLOR_ATTACHMENT12` Part of `GL_ARB_framebuffer_object`, `GL_ES_VERSION_3_0`, `GL_VERSION_3_0`; `GL_NV_draw_buffers`; `GL_EXT_framebuffer_object`, `GL_EXT_draw_buffers`
    `static int` | `GL_COLOR_ATTACHMENT13` Part of `GL_ARB_framebuffer_object`, `GL_ES_VERSION_3_0`, `GL_VERSION_3_0`; `GL_NV_draw_buffers`; `GL_EXT_framebuffer_object`, `GL_EXT_draw_buffers`
    `static int` | `GL_COLOR_ATTACHMENT14` Part of `GL_ARB_framebuffer_object`, `GL_ES_VERSION_3_0`, `GL_VERSION_3_0`; `GL_NV_draw_buffers`; `GL_EXT_framebuffer_object`, `GL_EXT_draw_buffers`
    `static int` | `GL_COLOR_ATTACHMENT15` Part of `GL_ARB_framebuffer_object`, `GL_ES_VERSION_3_0`, `GL_VERSION_3_0`; `GL_NV_draw_buffers`; `GL_EXT_framebuffer_object`, `GL_EXT_draw_buffers`
    `static int` | `GL_COLOR_ATTACHMENT2` Part of `GL_ARB_framebuffer_object`, `GL_ES_VERSION_3_0`, `GL_VERSION_3_0`; `GL_NV_draw_buffers`; `GL_EXT_framebuffer_object`, `GL_EXT_draw_buffers`
    `static int` | `GL_COLOR_ATTACHMENT3` Part of `GL_ARB_framebuffer_object`, `GL_ES_VERSION_3_0`, `GL_VERSION_3_0`; `GL_NV_draw_buffers`; `GL_EXT_framebuffer_object`, `GL_EXT_draw_buffers`
    `static int` | `GL_COLOR_ATTACHMENT4` Part of `GL_ARB_framebuffer_object`, `GL_ES_VERSION_3_0`, `GL_VERSION_3_0`; `GL_NV_draw_buffers`; `GL_EXT_framebuffer_object`, `GL_EXT_draw_buffers`
    `static int` | `GL_COLOR_ATTACHMENT5` Part of `GL_ARB_framebuffer_object`, `GL_ES_VERSION_3_0`, `GL_VERSION_3_0`; `GL_NV_draw_buffers`; `GL_EXT_framebuffer_object`, `GL_EXT_draw_buffers`
    `static int` | `GL_COLOR_ATTACHMENT6` Part of `GL_ARB_framebuffer_object`, `GL_ES_VERSION_3_0`, `GL_VERSION_3_0`; `GL_NV_draw_buffers`; `GL_EXT_framebuffer_object`, `GL_EXT_draw_buffers`
    `static int` | `GL_COLOR_ATTACHMENT7` Part of `GL_ARB_framebuffer_object`, `GL_ES_VERSION_3_0`, `GL_VERSION_3_0`; `GL_NV_draw_buffers`; `GL_EXT_framebuffer_object`, `GL_EXT_draw_buffers`
    `static int` | `GL_COLOR_ATTACHMENT8` Part of `GL_ARB_framebuffer_object`, `GL_ES_VERSION_3_0`, `GL_VERSION_3_0`; `GL_NV_draw_buffers`; `GL_EXT_framebuffer_object`, `GL_EXT_draw_buffers`
    `static int` | `GL_COLOR_ATTACHMENT9` Part of `GL_ARB_framebuffer_object`, `GL_ES_VERSION_3_0`, `GL_VERSION_3_0`; `GL_NV_draw_buffers`; `GL_EXT_framebuffer_object`, `GL_EXT_draw_buffers`
    `static int` | `GL_COMPARE_REF_TO_TEXTURE` Part of `GL_ES_VERSION_3_0`, `GL_VERSION_3_0`; `GL_EXT_shadow_samplers`
    `static int` | `GL_COMPILE_STATUS` Part of `GL_ES_VERSION_2_0`, `GL_VERSION_2_0`
    `static int` | `GL_CONSTANT_ALPHA` Part of `GL_ES_VERSION_2_0`, `GL_ARB_imaging`
    `static int` | `GL_CONSTANT_COLOR` Part of `GL_ES_VERSION_2_0`, `GL_ARB_imaging`
    `static int` | `GL_CONTEXT_FLAG_DEBUG_BIT` Part of `GL_VERSION_4_3`, `GL_KHR_debug`; `GL_KHR_debug`
    `static int` | `GL_CONTEXT_ROBUST_ACCESS` Part of `GL_EXT_robustness`
    `static int` | `GL_CURRENT_PROGRAM` Part of `GL_ES_VERSION_2_0`, `GL_VERSION_2_0`
    `static int` | `GL_CURRENT_QUERY` Part of `GL_ES_VERSION_3_0`, `GL_VERSION_1_5`; `GL_EXT_occlusion_query_boolean`, `GL_EXT_disjoint_timer_query`
    `static int` | `GL_CURRENT_VERTEX_ATTRIB` Part of `GL_ES_VERSION_2_0`, `GL_VERSION_2_0`
    `static int` | `GL_DEBUG_CALLBACK_FUNCTION` Part of `GL_VERSION_4_3`, `GL_KHR_debug`; `GL_ARB_debug_output`; `GL_KHR_debug`
    `static int` | `GL_DEBUG_CALLBACK_USER_PARAM` Part of `GL_VERSION_4_3`, `GL_KHR_debug`; `GL_ARB_debug_output`; `GL_KHR_debug`
    `static int` | `GL_DEBUG_GROUP_STACK_DEPTH` Part of `GL_VERSION_4_3`, `GL_KHR_debug`; `GL_KHR_debug`
    `static int` | `GL_DEBUG_LOGGED_MESSAGES` Part of `GL_VERSION_4_3`, `GL_KHR_debug`; `GL_ARB_debug_output`; `GL_KHR_debug`
    `static int` | `GL_DEBUG_NEXT_LOGGED_MESSAGE_LENGTH` Part of `GL_VERSION_4_3`, `GL_KHR_debug`; `GL_ARB_debug_output`; `GL_KHR_debug`
    `static int` | `GL_DEBUG_OUTPUT` Part of `GL_VERSION_4_3`, `GL_KHR_debug`; `GL_KHR_debug`
    `static int` | `GL_DEBUG_OUTPUT_SYNCHRONOUS` Part of `GL_VERSION_4_3`, `GL_KHR_debug`; `GL_ARB_debug_output`; `GL_KHR_debug`
    `static int` | `GL_DEBUG_SEVERITY_HIGH` Part of `GL_VERSION_4_3`, `GL_KHR_debug`; `GL_ARB_debug_output`; `GL_KHR_debug`
    `static int` | `GL_DEBUG_SEVERITY_LOW` Part of `GL_VERSION_4_3`, `GL_KHR_debug`; `GL_ARB_debug_output`; `GL_KHR_debug`
    `static int` | `GL_DEBUG_SEVERITY_MEDIUM` Part of `GL_VERSION_4_3`, `GL_KHR_debug`; `GL_ARB_debug_output`; `GL_KHR_debug`
    `static int` | `GL_DEBUG_SEVERITY_NOTIFICATION` Part of `GL_VERSION_4_3`, `GL_KHR_debug`; `GL_KHR_debug`
    `static int` | `GL_DEBUG_SOURCE_API` Part of `GL_VERSION_4_3`, `GL_KHR_debug`; `GL_ARB_debug_output`; `GL_KHR_debug`
    `static int` | `GL_DEBUG_SOURCE_APPLICATION` Part of `GL_VERSION_4_3`, `GL_KHR_debug`; `GL_ARB_debug_output`; `GL_KHR_debug`
    `static int` | `GL_DEBUG_SOURCE_OTHER` Part of `GL_VERSION_4_3`, `GL_KHR_debug`; `GL_ARB_debug_output`; `GL_KHR_debug`
    `static int` | `GL_DEBUG_SOURCE_SHADER_COMPILER` Part of `GL_VERSION_4_3`, `GL_KHR_debug`; `GL_ARB_debug_output`; `GL_KHR_debug`
    `static int` | `GL_DEBUG_SOURCE_THIRD_PARTY` Part of `GL_VERSION_4_3`, `GL_KHR_debug`; `GL_ARB_debug_output`; `GL_KHR_debug`
    `static int` | `GL_DEBUG_SOURCE_WINDOW_SYSTEM` Part of `GL_VERSION_4_3`, `GL_KHR_debug`; `GL_ARB_debug_output`; `GL_KHR_debug`
    `static int` | `GL_DEBUG_TYPE_DEPRECATED_BEHAVIOR` Part of `GL_VERSION_4_3`, `GL_KHR_debug`; `GL_ARB_debug_output`; `GL_KHR_debug`
    `static int` | `GL_DEBUG_TYPE_ERROR` Part of `GL_VERSION_4_3`, `GL_KHR_debug`; `GL_ARB_debug_output`; `GL_KHR_debug`
    `static int` | `GL_DEBUG_TYPE_MARKER` Part of `GL_VERSION_4_3`, `GL_KHR_debug`; `GL_KHR_debug`
    `static int` | `GL_DEBUG_TYPE_OTHER` Part of `GL_VERSION_4_3`, `GL_KHR_debug`; `GL_ARB_debug_output`; `GL_KHR_debug`
    `static int` | `GL_DEBUG_TYPE_PERFORMANCE` Part of `GL_VERSION_4_3`, `GL_KHR_debug`; `GL_ARB_debug_output`; `GL_KHR_debug`
    `static int` | `GL_DEBUG_TYPE_POP_GROUP` Part of `GL_VERSION_4_3`, `GL_KHR_debug`; `GL_KHR_debug`
    `static int` | `GL_DEBUG_TYPE_PORTABILITY` Part of `GL_VERSION_4_3`, `GL_KHR_debug`; `GL_ARB_debug_output`; `GL_KHR_debug`
    `static int` | `GL_DEBUG_TYPE_PUSH_GROUP` Part of `GL_VERSION_4_3`, `GL_KHR_debug`; `GL_KHR_debug`
    `static int` | `GL_DEBUG_TYPE_UNDEFINED_BEHAVIOR` Part of `GL_VERSION_4_3`, `GL_KHR_debug`; `GL_ARB_debug_output`; `GL_KHR_debug`
    `static int` | `GL_DELETE_STATUS` Part of `GL_ES_VERSION_2_0`, `GL_VERSION_2_0`
    `static int` | `GL_DEPTH_COMPONENT` Part of `GL_VERSION_1_0`, `GL_ES_VERSION_2_0`, `GL_ANGLE_depth_texture`
    `static int` | `GL_DRAW_BUFFER0` Part of `GL_ES_VERSION_3_0`, `GL_VERSION_2_0`; `GL_NV_draw_buffers`; `GL_EXT_draw_buffers`
    `static int` | `GL_DRAW_BUFFER1` Part of `GL_ES_VERSION_3_0`, `GL_VERSION_2_0`; `GL_NV_draw_buffers`; `GL_EXT_draw_buffers`
    `static int` | `GL_DRAW_BUFFER10` Part of `GL_ES_VERSION_3_0`, `GL_VERSION_2_0`; `GL_NV_draw_buffers`; `GL_EXT_draw_buffers`
    `static int` | `GL_DRAW_BUFFER11` Part of `GL_ES_VERSION_3_0`, `GL_VERSION_2_0`; `GL_NV_draw_buffers`; `GL_EXT_draw_buffers`
    `static int` | `GL_DRAW_BUFFER12` Part of `GL_ES_VERSION_3_0`, `GL_VERSION_2_0`; `GL_NV_draw_buffers`; `GL_EXT_draw_buffers`
    `static int` | `GL_DRAW_BUFFER13` Part of `GL_ES_VERSION_3_0`, `GL_VERSION_2_0`; `GL_NV_draw_buffers`; `GL_EXT_draw_buffers`
    `static int` | `GL_DRAW_BUFFER14` Part of `GL_ES_VERSION_3_0`, `GL_VERSION_2_0`; `GL_NV_draw_buffers`; `GL_EXT_draw_buffers`
    `static int` | `GL_DRAW_BUFFER15` Part of `GL_ES_VERSION_3_0`, `GL_VERSION_2_0`; `GL_NV_draw_buffers`; `GL_EXT_draw_buffers`
    `static int` | `GL_DRAW_BUFFER2` Part of `GL_ES_VERSION_3_0`, `GL_VERSION_2_0`; `GL_NV_draw_buffers`; `GL_EXT_draw_buffers`
    `static int` | `GL_DRAW_BUFFER3` Part of `GL_ES_VERSION_3_0`, `GL_VERSION_2_0`; `GL_NV_draw_buffers`; `GL_EXT_draw_buffers`
    `static int` | `GL_DRAW_BUFFER4` Part of `GL_ES_VERSION_3_0`, `GL_VERSION_2_0`; `GL_NV_draw_buffers`; `GL_EXT_draw_buffers`
    `static int` | `GL_DRAW_BUFFER5` Part of `GL_ES_VERSION_3_0`, `GL_VERSION_2_0`; `GL_NV_draw_buffers`; `GL_EXT_draw_buffers`
    `static int` | `GL_DRAW_BUFFER6` Part of `GL_ES_VERSION_3_0`, `GL_VERSION_2_0`; `GL_NV_draw_buffers`; `GL_EXT_draw_buffers`
    `static int` | `GL_DRAW_BUFFER7` Part of `GL_ES_VERSION_3_0`, `GL_VERSION_2_0`; `GL_NV_draw_buffers`; `GL_EXT_draw_buffers`
    `static int` | `GL_DRAW_BUFFER8` Part of `GL_ES_VERSION_3_0`, `GL_VERSION_2_0`; `GL_NV_draw_buffers`; `GL_EXT_draw_buffers`
    `static int` | `GL_DRAW_BUFFER9` Part of `GL_ES_VERSION_3_0`, `GL_VERSION_2_0`; `GL_NV_draw_buffers`; `GL_EXT_draw_buffers`
    `static int` | `GL_FLOAT_MAT2` Part of `GL_ES_VERSION_2_0`, `GL_VERSION_2_0`
    `static int` | `GL_FLOAT_MAT3` Part of `GL_ES_VERSION_2_0`, `GL_VERSION_2_0`
    `static int` | `GL_FLOAT_MAT4` Part of `GL_ES_VERSION_2_0`, `GL_VERSION_2_0`
    `static int` | `GL_FLOAT_VEC2` Part of `GL_ES_VERSION_2_0`, `GL_VERSION_2_0`
    `static int` | `GL_FLOAT_VEC3` Part of `GL_ES_VERSION_2_0`, `GL_VERSION_2_0`
    `static int` | `GL_FLOAT_VEC4` Part of `GL_ES_VERSION_2_0`, `GL_VERSION_2_0`
    `static int` | `GL_FRAGMENT_SHADER` Part of `GL_ES_VERSION_2_0`, `GL_VERSION_2_0`
    `static int` | `GL_FRAGMENT_SHADER_BIT` Part of `GL_VERSION_4_1`, `GL_ARB_separate_shader_objects`; `GL_EXT_separate_shader_objects`
    `static int` | `GL_FRAGMENT_SHADER_DERIVATIVE_HINT` Part of `GL_ES_VERSION_3_0`, `GL_VERSION_2_0`; `GL_OES_standard_derivatives`
    `static int` | `GL_FRAMEBUFFER_ATTACHMENT_COLOR_ENCODING` Part of `GL_ARB_framebuffer_object`, `GL_ES_VERSION_3_0`, `GL_VERSION_3_0`; `GL_EXT_sRGB`
    `static int` | `GL_FRAMEBUFFER_ATTACHMENT_COMPONENT_TYPE` Part of `GL_ARB_framebuffer_object`, `GL_ES_VERSION_3_0`, `GL_VERSION_3_0`; `GL_EXT_color_buffer_half_float`
    `static int` | `GL_HIGH_FLOAT` Part of `GL_ARB_ES2_compatibility`, `GL_VERSION_4_1`, `GL_ES_VERSION_2_0`
    `static int` | `GL_HIGH_INT` Part of `GL_ARB_ES2_compatibility`, `GL_VERSION_4_1`, `GL_ES_VERSION_2_0`
    `static int` | `GL_INFO_LOG_LENGTH` Part of `GL_ES_VERSION_2_0`, `GL_VERSION_2_0`
    `static int` | `GL_INT` Part of `GL_VERSION_1_1`, `GL_VERSION_1_0`, `GL_ES_VERSION_2_0`
    `static int` | `GL_INT_10_10_10_2` Part of `GL_OES_vertex_type_10_10_10_2`
    `static int` | `GL_INT_VEC2` Part of `GL_ES_VERSION_2_0`, `GL_VERSION_2_0`
    `static int` | `GL_INT_VEC3` Part of `GL_ES_VERSION_2_0`, `GL_VERSION_2_0`
    `static int` | `GL_INT_VEC4` Part of `GL_ES_VERSION_2_0`, `GL_VERSION_2_0`
    `static int` | `GL_LINK_STATUS` Part of `GL_ES_VERSION_2_0`, `GL_VERSION_2_0`
    `static int` | `GL_LOW_FLOAT` Part of `GL_ARB_ES2_compatibility`, `GL_VERSION_4_1`, `GL_ES_VERSION_2_0`
    `static int` | `GL_LOW_INT` Part of `GL_ARB_ES2_compatibility`, `GL_VERSION_4_1`, `GL_ES_VERSION_2_0`
    `static int` | `GL_MAX_3D_TEXTURE_SIZE` Part of `GL_VERSION_1_2`, `GL_ES_VERSION_3_0`; `GL_OES_texture_3D`
    `static int` | `GL_MAX_COLOR_ATTACHMENTS` Part of `GL_ARB_framebuffer_object`, `GL_ES_VERSION_3_0`, `GL_VERSION_3_0`; `GL_NV_fbo_color_attachments`; `GL_EXT_framebuffer_object`, `GL_EXT_draw_buffers`
    `static int` | `GL_MAX_COMBINED_TEXTURE_IMAGE_UNITS` Part of `GL_ES_VERSION_2_0`, `GL_VERSION_2_0`
    `static int` | `GL_MAX_DEBUG_GROUP_STACK_DEPTH` Part of `GL_VERSION_4_3`, `GL_KHR_debug`; `GL_KHR_debug`
    `static int` | `GL_MAX_DEBUG_LOGGED_MESSAGES` Part of `GL_VERSION_4_3`, `GL_KHR_debug`; `GL_ARB_debug_output`; `GL_KHR_debug`
    `static int` | `GL_MAX_DEBUG_MESSAGE_LENGTH` Part of `GL_VERSION_4_3`, `GL_KHR_debug`; `GL_ARB_debug_output`; `GL_KHR_debug`
    `static int` | `GL_MAX_DRAW_BUFFERS` Part of `GL_ES_VERSION_3_0`, `GL_VERSION_2_0`; `GL_NV_draw_buffers`; `GL_EXT_draw_buffers`
    `static int` | `GL_MAX_FRAGMENT_UNIFORM_VECTORS` Part of `GL_ARB_ES2_compatibility`, `GL_VERSION_4_1`, `GL_ES_VERSION_2_0`
    `static int` | `GL_MAX_LABEL_LENGTH` Part of `GL_VERSION_4_3`, `GL_KHR_debug`; `GL_KHR_debug`
    `static int` | `GL_MAX_TEXTURE_IMAGE_UNITS` Part of `GL_ES_VERSION_2_0`, `GL_VERSION_2_0`
    `static int` | `GL_MAX_VARYING_VECTORS` Part of `GL_ARB_ES2_compatibility`, `GL_VERSION_4_1`, `GL_ES_VERSION_2_0`
    `static int` | `GL_MAX_VERTEX_ATTRIBS` Part of `GL_ES_VERSION_2_0`, `GL_VERSION_2_0`
    `static int` | `GL_MAX_VERTEX_TEXTURE_IMAGE_UNITS` Part of `GL_ES_VERSION_2_0`, `GL_VERSION_2_0`
    `static int` | `GL_MAX_VERTEX_UNIFORM_VECTORS` Part of `GL_ARB_ES2_compatibility`, `GL_VERSION_4_1`, `GL_ES_VERSION_2_0`
    `static int` | `GL_MEDIUM_FLOAT` Part of `GL_ARB_ES2_compatibility`, `GL_VERSION_4_1`, `GL_ES_VERSION_2_0`
    `static int` | `GL_MEDIUM_INT` Part of `GL_ARB_ES2_compatibility`, `GL_VERSION_4_1`, `GL_ES_VERSION_2_0`
    `static int` | `GL_NUM_PROGRAM_BINARY_FORMATS` Part of `GL_ES_VERSION_3_0`, `GL_VERSION_4_1`, `GL_ARB_get_program_binary`; `GL_OES_get_program_binary`
    `static int` | `GL_NUM_SHADER_BINARY_FORMATS` Part of `GL_ARB_ES2_compatibility`, `GL_VERSION_4_1`, `GL_ES_VERSION_2_0`
    `static int` | `GL_ONE_MINUS_CONSTANT_ALPHA` Part of `GL_ES_VERSION_2_0`, `GL_ARB_imaging`
    `static int` | `GL_ONE_MINUS_CONSTANT_COLOR` Part of `GL_ES_VERSION_2_0`, `GL_ARB_imaging`
    `static int` | `GL_PROGRAM` Part of `GL_VERSION_4_3`, `GL_KHR_debug`; `GL_KHR_debug`
    `static int` | `GL_PROGRAM_BINARY_FORMATS` Part of `GL_ES_VERSION_3_0`, `GL_VERSION_4_1`, `GL_ARB_get_program_binary`; `GL_OES_get_program_binary`
    `static int` | `GL_PROGRAM_BINARY_LENGTH` Part of `GL_ES_VERSION_3_0`, `GL_VERSION_4_1`, `GL_ARB_get_program_binary`; `GL_OES_get_program_binary`
    `static int` | `GL_PROGRAM_PIPELINE_BINDING` Part of `GL_VERSION_4_1`, `GL_ARB_separate_shader_objects`; `GL_EXT_separate_shader_objects`
    `static int` | `GL_PROGRAM_SEPARABLE` Part of `GL_VERSION_4_1`, `GL_ARB_separate_shader_objects`; `GL_EXT_separate_shader_objects`
    `static int` | `GL_QUERY` Part of `GL_VERSION_4_3`, `GL_KHR_debug`; `GL_KHR_debug`
    `static int` | `GL_QUERY_RESULT` Part of `GL_ES_VERSION_3_0`, `GL_VERSION_1_5`; `GL_EXT_occlusion_query_boolean`, `GL_EXT_disjoint_timer_query`
    `static int` | `GL_QUERY_RESULT_AVAILABLE` Part of `GL_ES_VERSION_3_0`, `GL_VERSION_1_5`; `GL_EXT_occlusion_query_boolean`, `GL_EXT_disjoint_timer_query`
    `static int` | `GL_R16F` Part of `GL_ES_VERSION_3_0`, `GL_VERSION_3_0`, `GL_ARB_texture_rg`; `GL_EXT_texture_storage`, `GL_EXT_color_buffer_half_float`
    `static int` | `GL_R32F` Part of `GL_ES_VERSION_3_0`, `GL_VERSION_3_0`, `GL_ARB_texture_rg`; `GL_EXT_texture_storage`
    `static int` | `GL_R8` Part of `GL_ES_VERSION_3_0`, `GL_VERSION_3_0`, `GL_ARB_texture_rg`; `GL_EXT_texture_rg`, `GL_EXT_texture_storage`
    `static int` | `GL_RED` Part of `GL_VERSION_1_1`, `GL_ES_VERSION_3_0`, `GL_VERSION_1_0`; `GL_EXT_texture_rg`
    `static int` | `GL_RG` Part of `GL_ES_VERSION_3_0`, `GL_VERSION_3_0`, `GL_ARB_texture_rg`; `GL_EXT_texture_rg`
    `static int` | `GL_RG16F` Part of `GL_ES_VERSION_3_0`, `GL_VERSION_3_0`, `GL_ARB_texture_rg`; `GL_EXT_texture_storage`, `GL_EXT_color_buffer_half_float`
    `static int` | `GL_RG32F` Part of `GL_ES_VERSION_3_0`, `GL_VERSION_3_0`, `GL_ARB_texture_rg`; `GL_EXT_texture_storage`
    `static int` | `GL_RG8` Part of `GL_ES_VERSION_3_0`, `GL_VERSION_3_0`, `GL_ARB_texture_rg`; `GL_EXT_texture_rg`, `GL_EXT_texture_storage`
    `static int` | `GL_SAMPLER` Part of `GL_VERSION_4_3`, `GL_KHR_debug`; `GL_KHR_debug`
    `static int` | `GL_SAMPLER_2D` Part of `GL_ES_VERSION_2_0`, `GL_VERSION_2_0`
    `static int` | `GL_SAMPLER_2D_SHADOW` Part of `GL_ES_VERSION_3_0`, `GL_VERSION_2_0`; `GL_EXT_shadow_samplers`
    `static int` | `GL_SAMPLER_3D` Part of `GL_ES_VERSION_3_0`, `GL_VERSION_2_0`; `GL_OES_texture_3D`
    `static int` | `GL_SAMPLER_CUBE` Part of `GL_ES_VERSION_2_0`, `GL_VERSION_2_0`
    `static int` | `GL_SHADER` Part of `GL_VERSION_4_3`, `GL_KHR_debug`; `GL_KHR_debug`
    `static int` | `GL_SHADER_BINARY_DMP` Part of `GL_DMP_shader_binary`
    `static int` | `GL_SHADER_BINARY_FORMATS` Part of `GL_ARB_ES2_compatibility`, `GL_VERSION_4_1`, `GL_ES_VERSION_2_0`
    `static int` | `GL_SHADER_COMPILER` Part of `GL_ARB_ES2_compatibility`, `GL_VERSION_4_1`, `GL_ES_VERSION_2_0`
    `static int` | `GL_SHADER_SOURCE_LENGTH` Part of `GL_ES_VERSION_2_0`, `GL_VERSION_2_0`
    `static int` | `GL_SHADER_TYPE` Part of `GL_ES_VERSION_2_0`, `GL_VERSION_2_0`
    `static int` | `GL_SHADING_LANGUAGE_VERSION` Part of `GL_ES_VERSION_2_0`, `GL_VERSION_2_0`
    `static int` | `GL_STACK_OVERFLOW` Part of `GL_VERSION_1_1`, `GL_VERSION_1_0`, `GL_VERSION_ES_1_0`; `GL_KHR_debug`
    `static int` | `GL_STACK_UNDERFLOW` Part of `GL_VERSION_1_1`, `GL_VERSION_1_0`, `GL_VERSION_ES_1_0`; `GL_KHR_debug`
    `static int` | `GL_STENCIL_BACK_FAIL` Part of `GL_ES_VERSION_2_0`, `GL_VERSION_2_0`
    `static int` | `GL_STENCIL_BACK_FUNC` Part of `GL_ES_VERSION_2_0`, `GL_VERSION_2_0`
    `static int` | `GL_STENCIL_BACK_PASS_DEPTH_FAIL` Part of `GL_ES_VERSION_2_0`, `GL_VERSION_2_0`
    `static int` | `GL_STENCIL_BACK_PASS_DEPTH_PASS` Part of `GL_ES_VERSION_2_0`, `GL_VERSION_2_0`
    `static int` | `GL_STENCIL_BACK_REF` Part of `GL_ES_VERSION_2_0`, `GL_VERSION_2_0`
    `static int` | `GL_STENCIL_BACK_VALUE_MASK` Part of `GL_ES_VERSION_2_0`, `GL_VERSION_2_0`
    `static int` | `GL_STENCIL_BACK_WRITEMASK` Part of `GL_ES_VERSION_2_0`, `GL_VERSION_2_0`
    `static int` | `GL_STENCIL_INDEX` Part of `GL_VERSION_1_1`, `GL_VERSION_1_0`, `GL_ES_VERSION_2_0`
    `static int` | `GL_STREAM_DRAW` Part of `GL_VERSION_1_5`, `GL_ES_VERSION_2_0`
    `static int` | `GL_TEXTURE_3D` Part of `GL_VERSION_1_2`, `GL_ES_VERSION_3_0`; `GL_OES_texture_3D`
    `static int` | `GL_TEXTURE_BINDING_3D` Part of `GL_VERSION_1_2`, `GL_ES_VERSION_3_0`; `GL_OES_texture_3D`
    `static int` | `GL_TEXTURE_COMPARE_FUNC` Part of `GL_ES_VERSION_3_0`, `GL_VERSION_1_4`; `GL_EXT_shadow_samplers`
    `static int` | `GL_TEXTURE_COMPARE_MODE` Part of `GL_ES_VERSION_3_0`, `GL_VERSION_1_4`; `GL_EXT_shadow_samplers`
    `static int` | `GL_TEXTURE_WRAP_R` Part of `GL_VERSION_1_2`, `GL_ES_VERSION_3_0`; `GL_OES_texture_3D`
    `static int` | `GL_UNPACK_ROW_LENGTH` Part of `GL_VERSION_1_1`, `GL_ES_VERSION_3_0`, `GL_VERSION_1_0`; `GL_EXT_unpack_subimage`
    `static int` | `GL_UNPACK_SKIP_PIXELS` Part of `GL_VERSION_1_1`, `GL_ES_VERSION_3_0`, `GL_VERSION_1_0`; `GL_EXT_unpack_subimage`
    `static int` | `GL_UNPACK_SKIP_ROWS` Part of `GL_VERSION_1_1`, `GL_ES_VERSION_3_0`, `GL_VERSION_1_0`; `GL_EXT_unpack_subimage`
    `static int` | `GL_UNSIGNED_INT_10_10_10_2` Part of `GL_VERSION_1_2`; `GL_OES_vertex_type_10_10_10_2`
    `static int` | `GL_UNSIGNED_INT_2_10_10_10_REV` Part of `GL_VERSION_1_2`, `GL_ES_VERSION_3_0`; `GL_EXT_texture_type_2_10_10_10_REV`
    `static int` | `GL_UNSIGNED_NORMALIZED` Part of `GL_ARB_framebuffer_object`, `GL_ES_VERSION_3_0`, `GL_VERSION_3_0`; `GL_ARB_texture_float`; `GL_EXT_color_buffer_half_float`
    `static int` | `GL_VALIDATE_STATUS` Part of `GL_ES_VERSION_2_0`, `GL_VERSION_2_0`
    `static int` | `GL_VERTEX_ATTRIB_ARRAY_BUFFER_BINDING` Part of `GL_VERSION_1_5`, `GL_ES_VERSION_2_0`
    `static int` | `GL_VERTEX_ATTRIB_ARRAY_ENABLED` Part of `GL_ES_VERSION_2_0`, `GL_VERSION_2_0`
    `static int` | `GL_VERTEX_ATTRIB_ARRAY_NORMALIZED` Part of `GL_ES_VERSION_2_0`, `GL_VERSION_2_0`
    `static int` | `GL_VERTEX_ATTRIB_ARRAY_POINTER` Part of `GL_ES_VERSION_2_0`, `GL_VERSION_2_0`
    `static int` | `GL_VERTEX_ATTRIB_ARRAY_SIZE` Part of `GL_ES_VERSION_2_0`, `GL_VERSION_2_0`
    `static int` | `GL_VERTEX_ATTRIB_ARRAY_STRIDE` Part of `GL_ES_VERSION_2_0`, `GL_VERSION_2_0`
    `static int` | `GL_VERTEX_ATTRIB_ARRAY_TYPE` Part of `GL_ES_VERSION_2_0`, `GL_VERSION_2_0`
    `static int` | `GL_VERTEX_SHADER` Part of `GL_ES_VERSION_2_0`, `GL_VERSION_2_0`
    `static int` | `GL_VERTEX_SHADER_BIT` Part of `GL_VERSION_4_1`, `GL_ARB_separate_shader_objects`; `GL_EXT_separate_shader_objects`

    - ### Fields inherited from interface javax.media.opengl.GL

      `GL_ACTIVE_TEXTURE, GL_ALIASED_LINE_WIDTH_RANGE, GL_ALIASED_POINT_SIZE_RANGE, GL_ALPHA, GL_ALPHA_BITS, GL_ALPHA16F, GL_ALPHA32F, GL_ALPHA8, GL_ALWAYS, GL_AND, GL_AND_INVERTED, GL_AND_REVERSE, GL_ARRAY_BUFFER, GL_ARRAY_BUFFER_BINDING, GL_BACK, GL_BGRA, GL_BGRA8, GL_BLEND, GL_BLEND_DST, GL_BLEND_DST_ALPHA, GL_BLEND_DST_RGB, GL_BLEND_EQUATION, GL_BLEND_EQUATION_ALPHA, GL_BLEND_EQUATION_RGB, GL_BLEND_SRC, GL_BLEND_SRC_ALPHA, GL_BLEND_SRC_RGB, GL_BLUE_BITS, GL_BUFFER_ACCESS, GL_BUFFER_MAP_POINTER, GL_BUFFER_MAPPED, GL_BUFFER_SIZE, GL_BUFFER_USAGE, GL_BYTE, GL_CCW, GL_CLAMP_TO_EDGE, GL_CLEAR, GL_COLOR_ATTACHMENT0, GL_COLOR_BUFFER_BIT, GL_COLOR_CLEAR_VALUE, GL_COLOR_LOGIC_OP, GL_COLOR_WRITEMASK, GL_COMPRESSED_RGB_S3TC_DXT1_EXT, GL_COMPRESSED_RGBA_S3TC_DXT1_EXT, GL_COMPRESSED_RGBA_S3TC_DXT3_EXT, GL_COMPRESSED_RGBA_S3TC_DXT5_EXT, GL_COMPRESSED_TEXTURE_FORMATS, GL_COPY, GL_COPY_INVERTED, GL_CULL_FACE, GL_CULL_FACE_MODE, GL_CW, GL_DECR, GL_DECR_WRAP, GL_DEPTH_ATTACHMENT, GL_DEPTH_BITS, GL_DEPTH_BUFFER_BIT, GL_DEPTH_CLEAR_VALUE, GL_DEPTH_COMPONENT16, GL_DEPTH_COMPONENT24, GL_DEPTH_COMPONENT32, GL_DEPTH_FUNC, GL_DEPTH_RANGE, GL_DEPTH_STENCIL, GL_DEPTH_TEST, GL_DEPTH_WRITEMASK, GL_DEPTH24_STENCIL8, GL_DITHER, GL_DONT_CARE, GL_DST_ALPHA, GL_DST_COLOR, GL_DYNAMIC_DRAW, GL_ELEMENT_ARRAY_BUFFER, GL_ELEMENT_ARRAY_BUFFER_BINDING, GL_EQUAL, GL_EQUIV, GL_EXTENSIONS, GL_FALSE, GL_FASTEST, GL_FIXED, GL_FLOAT, GL_FRAMEBUFFER, GL_FRAMEBUFFER_ATTACHMENT_OBJECT_NAME, GL_FRAMEBUFFER_ATTACHMENT_OBJECT_TYPE, GL_FRAMEBUFFER_ATTACHMENT_TEXTURE_CUBE_MAP_FACE, GL_FRAMEBUFFER_ATTACHMENT_TEXTURE_LAYER, GL_FRAMEBUFFER_ATTACHMENT_TEXTURE_LEVEL, GL_FRAMEBUFFER_BINDING, GL_FRAMEBUFFER_COMPLETE, GL_FRAMEBUFFER_INCOMPLETE_ATTACHMENT, GL_FRAMEBUFFER_INCOMPLETE_DIMENSIONS, GL_FRAMEBUFFER_INCOMPLETE_FORMATS, GL_FRAMEBUFFER_INCOMPLETE_MISSING_ATTACHMENT, GL_FRAMEBUFFER_UNSUPPORTED, GL_FRONT, GL_FRONT_AND_BACK, GL_FRONT_FACE, GL_FUNC_ADD, GL_FUNC_REVERSE_SUBTRACT, GL_FUNC_SUBTRACT, GL_GENERATE_MIPMAP_HINT, GL_GEQUAL, GL_GREATER, GL_GREEN_BITS, GL_GUILTY_CONTEXT_RESET, GL_HALF_FLOAT, GL_IMPLEMENTATION_COLOR_READ_FORMAT, GL_IMPLEMENTATION_COLOR_READ_TYPE, GL_INCR, GL_INCR_WRAP, GL_INNOCENT_CONTEXT_RESET, GL_INVALID_ENUM, GL_INVALID_FRAMEBUFFER_OPERATION, GL_INVALID_OPERATION, GL_INVALID_VALUE, GL_INVERT, GL_KEEP, GL_LEQUAL, GL_LESS, GL_LINE_LOOP, GL_LINE_SMOOTH, GL_LINE_SMOOTH_HINT, GL_LINE_STRIP, GL_LINE_WIDTH, GL_LINEAR, GL_LINEAR_MIPMAP_LINEAR, GL_LINEAR_MIPMAP_NEAREST, GL_LINES, GL_LOGIC_OP_MODE, GL_LOSE_CONTEXT_ON_RESET, GL_LUMINANCE, GL_LUMINANCE_ALPHA, GL_MAP_FLUSH_EXPLICIT_BIT, GL_MAP_INVALIDATE_BUFFER_BIT, GL_MAP_INVALIDATE_RANGE_BIT, GL_MAP_READ_BIT, GL_MAP_UNSYNCHRONIZED_BIT, GL_MAP_WRITE_BIT, GL_MAX_ARRAY_TEXTURE_LAYERS, GL_MAX_CUBE_MAP_TEXTURE_SIZE, GL_MAX_RENDERBUFFER_SIZE, GL_MAX_TEXTURE_MAX_ANISOTROPY_EXT, GL_MAX_TEXTURE_SIZE, GL_MAX_VIEWPORT_DIMS, GL_MIRRORED_REPEAT, GL_MULTISAMPLE, GL_NAND, GL_NEAREST, GL_NEAREST_MIPMAP_LINEAR, GL_NEAREST_MIPMAP_NEAREST, GL_NEVER, GL_NICEST, GL_NO_ERROR, GL_NO_RESET_NOTIFICATION, GL_NONE, GL_NOOP, GL_NOR, GL_NOTEQUAL, GL_NUM_COMPRESSED_TEXTURE_FORMATS, GL_ONE, GL_ONE_MINUS_DST_ALPHA, GL_ONE_MINUS_DST_COLOR, GL_ONE_MINUS_SRC_ALPHA, GL_ONE_MINUS_SRC_COLOR, GL_OR, GL_OR_INVERTED, GL_OR_REVERSE, GL_OUT_OF_MEMORY, GL_PACK_ALIGNMENT, GL_POINT_FADE_THRESHOLD_SIZE, GL_POINT_SIZE, GL_POINTS, GL_POLYGON_OFFSET_FACTOR, GL_POLYGON_OFFSET_FILL, GL_POLYGON_OFFSET_UNITS, GL_R11F_G11F_B10F, GL_RED_BITS, GL_RENDERBUFFER, GL_RENDERBUFFER_ALPHA_SIZE, GL_RENDERBUFFER_BINDING, GL_RENDERBUFFER_BLUE_SIZE, GL_RENDERBUFFER_DEPTH_SIZE, GL_RENDERBUFFER_GREEN_SIZE, GL_RENDERBUFFER_HEIGHT, GL_RENDERBUFFER_INTERNAL_FORMAT, GL_RENDERBUFFER_RED_SIZE, GL_RENDERBUFFER_STENCIL_SIZE, GL_RENDERBUFFER_WIDTH, GL_RENDERER, GL_REPEAT, GL_REPLACE, GL_RESET_NOTIFICATION_STRATEGY, GL_RGB, GL_RGB10, GL_RGB10_A2, GL_RGB16F, GL_RGB32F, GL_RGB5_A1, GL_RGB565, GL_RGB8, GL_RGBA, GL_RGBA_SIGNED_COMPONENTS, GL_RGBA16F, GL_RGBA32F, GL_RGBA4, GL_RGBA8, GL_SAMPLE_ALPHA_TO_COVERAGE, GL_SAMPLE_ALPHA_TO_ONE, GL_SAMPLE_BUFFERS, GL_SAMPLE_COVERAGE, GL_SAMPLE_COVERAGE_INVERT, GL_SAMPLE_COVERAGE_VALUE, GL_SAMPLER_2D_ARRAY, GL_SAMPLES, GL_SCISSOR_BOX, GL_SCISSOR_TEST, GL_SET, GL_SHORT, GL_SMOOTH_LINE_WIDTH_RANGE, GL_SMOOTH_POINT_SIZE_RANGE, GL_SRC_ALPHA, GL_SRC_ALPHA_SATURATE, GL_SRC_COLOR, GL_SRGB, GL_SRGB_ALPHA, GL_SRGB8_ALPHA8, GL_STATIC_DRAW, GL_STENCIL_ATTACHMENT, GL_STENCIL_BITS, GL_STENCIL_BUFFER_BIT, GL_STENCIL_CLEAR_VALUE, GL_STENCIL_FAIL, GL_STENCIL_FUNC, GL_STENCIL_INDEX1, GL_STENCIL_INDEX4, GL_STENCIL_INDEX8, GL_STENCIL_PASS_DEPTH_FAIL, GL_STENCIL_PASS_DEPTH_PASS, GL_STENCIL_REF, GL_STENCIL_TEST, GL_STENCIL_VALUE_MASK, GL_STENCIL_WRITEMASK, GL_SUBPIXEL_BITS, GL_TEXTURE, GL_TEXTURE_2D, GL_TEXTURE_2D_ARRAY, GL_TEXTURE_BINDING_2D, GL_TEXTURE_BINDING_2D_ARRAY, GL_TEXTURE_BINDING_CUBE_MAP, GL_TEXTURE_CUBE_MAP, GL_TEXTURE_CUBE_MAP_NEGATIVE_X, GL_TEXTURE_CUBE_MAP_NEGATIVE_Y, GL_TEXTURE_CUBE_MAP_NEGATIVE_Z, GL_TEXTURE_CUBE_MAP_POSITIVE_X, GL_TEXTURE_CUBE_MAP_POSITIVE_Y, GL_TEXTURE_CUBE_MAP_POSITIVE_Z, GL_TEXTURE_IMMUTABLE_FORMAT, GL_TEXTURE_MAG_FILTER, GL_TEXTURE_MAX_ANISOTROPY_EXT, GL_TEXTURE_MIN_FILTER, GL_TEXTURE_WRAP_S, GL_TEXTURE_WRAP_T, GL_TEXTURE0, GL_TEXTURE1, GL_TEXTURE10, GL_TEXTURE11, GL_TEXTURE12, GL_TEXTURE13, GL_TEXTURE14, GL_TEXTURE15, GL_TEXTURE16, GL_TEXTURE17, GL_TEXTURE18, GL_TEXTURE19, GL_TEXTURE2, GL_TEXTURE20, GL_TEXTURE21, GL_TEXTURE22, GL_TEXTURE23, GL_TEXTURE24, GL_TEXTURE25, GL_TEXTURE26, GL_TEXTURE27, GL_TEXTURE28, GL_TEXTURE29, GL_TEXTURE3, GL_TEXTURE30, GL_TEXTURE31, GL_TEXTURE4, GL_TEXTURE5, GL_TEXTURE6, GL_TEXTURE7, GL_TEXTURE8, GL_TEXTURE9, GL_TRIANGLE_FAN, GL_TRIANGLE_STRIP, GL_TRIANGLES, GL_TRUE, GL_UNKNOWN_CONTEXT_RESET, GL_UNPACK_ALIGNMENT, GL_UNSIGNED_BYTE, GL_UNSIGNED_INT, GL_UNSIGNED_INT_10F_11F_11F_REV, GL_UNSIGNED_INT_24_8, GL_UNSIGNED_SHORT, GL_UNSIGNED_SHORT_1_5_5_5_REV_EXT, GL_UNSIGNED_SHORT_4_4_4_4, GL_UNSIGNED_SHORT_4_4_4_4_REV_EXT, GL_UNSIGNED_SHORT_5_5_5_1, GL_UNSIGNED_SHORT_5_6_5, GL_VENDOR, GL_VERSION, GL_VIEWPORT, GL_WRITE_ONLY, GL_XOR, GL_ZERO`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `glAttachShader(int program, int shader)` Entry point to C language function: `void glAttachShader(GLuint program, GLuint shader)` Part of `GL_ES_VERSION_2_0`, `GL_VERSION_2_0`
    `void` | `glBeginQuery(int target, int id)` Entry point to C language function: `void glBeginQuery(GLenum target, GLuint id)` Part of `GL_ES_VERSION_3_0`, `GL_VERSION_1_5`; `GL_EXT_occlusion_query_boolean`, `GL_EXT_disjoint_timer_query`
    `void` | `glBindAttribLocation(int program, int index, String name)` Entry point to C language function: `void glBindAttribLocation(GLuint program, GLuint index, const GLchar * name)` Part of `GL_ES_VERSION_2_0`, `GL_VERSION_2_0`
    `void` | `glBlendColor(float red, float green, float blue, float alpha)` Entry point to C language function: `void glBlendColor(GLclampf red, GLclampf green, GLclampf blue, GLclampf alpha)` Part of `GL_VERSION_1_2`, `GL_ES_VERSION_2_0`
    `void` | `glClearDepth(double depth)` Aliased entrypoint of `void glClearDepth(GLclampd depth);` and `void glClearDepthf(GLclampf depth);` .
    `void` | `glClearDepthf(float depth)` Entry point to C language function: `void glClearDepthf(GLclampf depth);` Part of `GL_ES_VERSION_2_0` and `GL_ARB_ES2_compatibility`.
    `void` | `glCompileShader(int shader)` Entry point to C language function: `void glCompileShader(GLuint shader)` Part of `GL_ES_VERSION_2_0`, `GL_VERSION_2_0`
    `void` | `glCompressedTexImage3D(int target, int level, int internalformat, int width, int height, int depth, int border, int imageSize, Buffer data)` Entry point to C language function: `void glCompressedTexImage3D(GLenum target, GLint level, GLenum internalformat, GLsizei width, GLsizei height, GLsizei depth, GLint border, GLsizei imageSize, const GLvoid * data)` Part of `GL_ES_VERSION_3_0`, `GL_VERSION_1_3`; `GL_OES_texture_3D`
    `void` | `glCompressedTexImage3D(int target, int level, int internalformat, int width, int height, int depth, int border, int imageSize, long data_buffer_offset)` Entry point to C language function: `void glCompressedTexImage3D(GLenum target, GLint level, GLenum internalformat, GLsizei width, GLsizei height, GLsizei depth, GLint border, GLsizei imageSize, const GLvoid * data)` Part of `GL_ES_VERSION_3_0`, `GL_VERSION_1_3`; `GL_OES_texture_3D`
    `void` | `glCompressedTexSubImage3D(int target, int level, int xoffset, int yoffset, int zoffset, int width, int height, int depth, int format, int imageSize, Buffer data)` Entry point to C language function: `void glCompressedTexSubImage3D(GLenum target, GLint level, GLint xoffset, GLint yoffset, GLint zoffset, GLsizei width, GLsizei height, GLsizei depth, GLenum format, GLsizei imageSize, const GLvoid * data)` Part of `GL_ES_VERSION_3_0`, `GL_VERSION_1_3`; `GL_OES_texture_3D`
    `void` | `glCompressedTexSubImage3D(int target, int level, int xoffset, int yoffset, int zoffset, int width, int height, int depth, int format, int imageSize, long data_buffer_offset)` Entry point to C language function: `void glCompressedTexSubImage3D(GLenum target, GLint level, GLint xoffset, GLint yoffset, GLint zoffset, GLsizei width, GLsizei height, GLsizei depth, GLenum format, GLsizei imageSize, const GLvoid * data)` Part of `GL_ES_VERSION_3_0`, `GL_VERSION_1_3`; `GL_OES_texture_3D`
    `void` | `glCopyTexSubImage3D(int target, int level, int xoffset, int yoffset, int zoffset, int x, int y, int width, int height)` Entry point to C language function: `void glCopyTexSubImage3D(GLenum target, GLint level, GLint xoffset, GLint yoffset, GLint zoffset, GLint x, GLint y, GLsizei width, GLsizei height)` Part of `GL_VERSION_1_2`, `GL_ES_VERSION_3_0`; `GL_OES_texture_3D`
    `int` | `glCreateProgram()` Entry point to C language function: `GLuint glCreateProgram(void)` Part of `GL_ES_VERSION_2_0`, `GL_VERSION_2_0`
    `int` | `glCreateShader(int type)` Entry point to C language function: `GLuint glCreateShader(GLenum type)` Part of `GL_ES_VERSION_2_0`, `GL_VERSION_2_0`
    `void` | `glDebugMessageControl(int source, int type, int severity, int count, int[] ids, int ids_offset, boolean enabled)` Entry point to C language function: `void glDebugMessageControl(GLenum source, GLenum type, GLenum severity, GLsizei count, const GLuint * ids, GLboolean enabled)` Part of `GL_VERSION_4_3`, `GL_KHR_debug`; `GL_ARB_debug_output`; `GL_KHR_debug`
    `void` | `glDebugMessageControl(int source, int type, int severity, int count, IntBuffer ids, boolean enabled)` Entry point to C language function: `void glDebugMessageControl(GLenum source, GLenum type, GLenum severity, GLsizei count, const GLuint * ids, GLboolean enabled)` Part of `GL_VERSION_4_3`, `GL_KHR_debug`; `GL_ARB_debug_output`; `GL_KHR_debug`
    `void` | `glDebugMessageInsert(int source, int type, int id, int severity, int length, String buf)` Entry point to C language function: `void glDebugMessageInsert(GLenum source, GLenum type, GLuint id, GLenum severity, GLsizei length, const GLchar * buf)` Part of `GL_VERSION_4_3`, `GL_KHR_debug`; `GL_ARB_debug_output`; `GL_KHR_debug`
    `void` | `glDeleteProgram(int program)` Entry point to C language function: `void glDeleteProgram(GLuint program)` Part of `GL_ES_VERSION_2_0`, `GL_VERSION_2_0`
    `void` | `glDeleteQueries(int n, int[] ids, int ids_offset)` Entry point to C language function: `void glDeleteQueries(GLsizei n, const GLuint * ids)` Part of `GL_ES_VERSION_3_0`, `GL_VERSION_1_5`; `GL_EXT_occlusion_query_boolean`, `GL_EXT_disjoint_timer_query`
    `void` | `glDeleteQueries(int n, IntBuffer ids)` Entry point to C language function: `void glDeleteQueries(GLsizei n, const GLuint * ids)` Part of `GL_ES_VERSION_3_0`, `GL_VERSION_1_5`; `GL_EXT_occlusion_query_boolean`, `GL_EXT_disjoint_timer_query`
    `void` | `glDeleteShader(int shader)` Entry point to C language function: `void glDeleteShader(GLuint shader)` Part of `GL_ES_VERSION_2_0`, `GL_VERSION_2_0`
    `void` | `glDepthRange(double zNear, double zFar)` Aliased entrypoint of `void glDepthRange(GLclampd depth);` and `void glDepthRangef(GLclampf depth);` .
    `void` | `glDepthRangef(float zNear, float zFar)` Entry point to C language function: `void glDepthRangef(GLclampf zNear, GLclampf zFar);` Part of `GL_ES_VERSION_2_0` and `GL_ARB_ES2_compatibility`.
    `void` | `glDetachShader(int program, int shader)` Entry point to C language function: `void glDetachShader(GLuint program, GLuint shader)` Part of `GL_ES_VERSION_2_0`, `GL_VERSION_2_0`
    `void` | `glDisableVertexAttribArray(int index)` Entry point to C language function: `void glDisableVertexAttribArray(GLuint index)` Part of `GL_ES_VERSION_2_0`, `GL_VERSION_2_0`
    `void` | `glEnableVertexAttribArray(int index)` Entry point to C language function: `void glEnableVertexAttribArray(GLuint index)` Part of `GL_ES_VERSION_2_0`, `GL_VERSION_2_0`
    `void` | `glEndQuery(int target)` Entry point to C language function: `void glEndQuery(GLenum target)` Part of `GL_ES_VERSION_3_0`, `GL_VERSION_1_5`; `GL_EXT_occlusion_query_boolean`, `GL_EXT_disjoint_timer_query`
    `void` | `glFramebufferTexture3D(int target, int attachment, int textarget, int texture, int level, int zoffset)` Entry point to C language function: `void glFramebufferTexture3D(GLenum target, GLenum attachment, GLenum textarget, GLuint texture, GLint level, GLint zoffset)` Part of `GL_ARB_framebuffer_object`, `GL_VERSION_3_0`; `GL_OES_texture_3D`
    `void` | `glGenQueries(int n, int[] ids, int ids_offset)` Entry point to C language function: `void glGenQueries(GLsizei n, GLuint * ids)` Part of `GL_ES_VERSION_3_0`, `GL_VERSION_1_5`; `GL_EXT_occlusion_query_boolean`, `GL_EXT_disjoint_timer_query`
    `void` | `glGenQueries(int n, IntBuffer ids)` Entry point to C language function: `void glGenQueries(GLsizei n, GLuint * ids)` Part of `GL_ES_VERSION_3_0`, `GL_VERSION_1_5`; `GL_EXT_occlusion_query_boolean`, `GL_EXT_disjoint_timer_query`
    `void` | `glGetActiveAttrib(int program, int index, int bufsize, int[] length, int length_offset, int[] size, int size_offset, int[] type, int type_offset, byte[] name, int name_offset)` Entry point to C language function: `void glGetActiveAttrib(GLuint program, GLuint index, GLsizei bufsize, GLsizei * length, GLint * size, GLenum * type, GLchar * name)` Part of `GL_ES_VERSION_2_0`, `GL_VERSION_2_0`
    `void` | `glGetActiveAttrib(int program, int index, int bufsize, IntBuffer length, IntBuffer size, IntBuffer type, ByteBuffer name)` Entry point to C language function: `void glGetActiveAttrib(GLuint program, GLuint index, GLsizei bufsize, GLsizei * length, GLint * size, GLenum * type, GLchar * name)` Part of `GL_ES_VERSION_2_0`, `GL_VERSION_2_0`
    `void` | `glGetActiveUniform(int program, int index, int bufsize, int[] length, int length_offset, int[] size, int size_offset, int[] type, int type_offset, byte[] name, int name_offset)` Entry point to C language function: `void glGetActiveUniform(GLuint program, GLuint index, GLsizei bufsize, GLsizei * length, GLint * size, GLenum * type, GLchar * name)` Part of `GL_ES_VERSION_2_0`, `GL_VERSION_2_0`
    `void` | `glGetActiveUniform(int program, int index, int bufsize, IntBuffer length, IntBuffer size, IntBuffer type, ByteBuffer name)` Entry point to C language function: `void glGetActiveUniform(GLuint program, GLuint index, GLsizei bufsize, GLsizei * length, GLint * size, GLenum * type, GLchar * name)` Part of `GL_ES_VERSION_2_0`, `GL_VERSION_2_0`
    `void` | `glGetAttachedShaders(int program, int maxcount, int[] count, int count_offset, int[] shaders, int shaders_offset)` Entry point to C language function: `void glGetAttachedShaders(GLuint program, GLsizei maxcount, GLsizei * count, GLuint * shaders)` Part of `GL_ES_VERSION_2_0`, `GL_VERSION_2_0`
    `void` | `glGetAttachedShaders(int program, int maxcount, IntBuffer count, IntBuffer shaders)` Entry point to C language function: `void glGetAttachedShaders(GLuint program, GLsizei maxcount, GLsizei * count, GLuint * shaders)` Part of `GL_ES_VERSION_2_0`, `GL_VERSION_2_0`
    `int` | `glGetAttribLocation(int program, String name)` Entry point to C language function: `GLint glGetAttribLocation(GLuint program, const GLchar * name)` Part of `GL_ES_VERSION_2_0`, `GL_VERSION_2_0`
    `int` | `glGetDebugMessageLog(int count, int bufsize, int[] sources, int sources_offset, int[] types, int types_offset, int[] ids, int ids_offset, int[] severities, int severities_offset, int[] lengths, int lengths_offset, byte[] messageLog, int messageLog_offset)` Entry point to C language function: `GLuint glGetDebugMessageLog(GLuint count, GLsizei bufsize, GLenum * sources, GLenum * types, GLuint * ids, GLenum * severities, GLsizei * lengths, GLchar * messageLog)` Part of `GL_VERSION_4_3`, `GL_KHR_debug`; `GL_ARB_debug_output`; `GL_KHR_debug`
    `int` | `glGetDebugMessageLog(int count, int bufsize, IntBuffer sources, IntBuffer types, IntBuffer ids, IntBuffer severities, IntBuffer lengths, ByteBuffer messageLog)` Entry point to C language function: `GLuint glGetDebugMessageLog(GLuint count, GLsizei bufsize, GLenum * sources, GLenum * types, GLuint * ids, GLenum * severities, GLsizei * lengths, GLchar * messageLog)` Part of `GL_VERSION_4_3`, `GL_KHR_debug`; `GL_ARB_debug_output`; `GL_KHR_debug`
    `void` | `glGetObjectLabel(int identifier, int name, int bufSize, int[] length, int length_offset, byte[] label, int label_offset)` Entry point to C language function: `void glGetObjectLabel(GLenum identifier, GLuint name, GLsizei bufSize, GLsizei * length, GLchar * label)` Part of `GL_VERSION_4_3`, `GL_KHR_debug`; `GL_KHR_debug`
    `void` | `glGetObjectLabel(int identifier, int name, int bufSize, IntBuffer length, ByteBuffer label)` Entry point to C language function: `void glGetObjectLabel(GLenum identifier, GLuint name, GLsizei bufSize, GLsizei * length, GLchar * label)` Part of `GL_VERSION_4_3`, `GL_KHR_debug`; `GL_KHR_debug`
    `void` | `glGetObjectPtrLabel(Buffer ptr, int bufSize, int[] length, int length_offset, byte[] label, int label_offset)` Entry point to C language function: `void glGetObjectPtrLabel(const void * ptr, GLsizei bufSize, GLsizei * length, GLchar * label)` Part of `GL_VERSION_4_3`, `GL_KHR_debug`; `GL_KHR_debug`
    `void` | `glGetObjectPtrLabel(Buffer ptr, int bufSize, IntBuffer length, ByteBuffer label)` Entry point to C language function: `void glGetObjectPtrLabel(const void * ptr, GLsizei bufSize, GLsizei * length, GLchar * label)` Part of `GL_VERSION_4_3`, `GL_KHR_debug`; `GL_KHR_debug`
    `void` | `glGetProgramBinary(int program, int bufSize, int[] length, int length_offset, int[] binaryFormat, int binaryFormat_offset, Buffer binary)` Entry point to C language function: `void glGetProgramBinary(GLuint program, GLsizei bufSize, GLsizei * length, GLenum * binaryFormat, GLvoid * binary)` Part of `GL_ES_VERSION_3_0`, `GL_VERSION_4_1`, `GL_ARB_get_program_binary`; `GL_OES_get_program_binary`
    `void` | `glGetProgramBinary(int program, int bufSize, IntBuffer length, IntBuffer binaryFormat, Buffer binary)` Entry point to C language function: `void glGetProgramBinary(GLuint program, GLsizei bufSize, GLsizei * length, GLenum * binaryFormat, GLvoid * binary)` Part of `GL_ES_VERSION_3_0`, `GL_VERSION_4_1`, `GL_ARB_get_program_binary`; `GL_OES_get_program_binary`
    `void` | `glGetProgramInfoLog(int program, int bufsize, int[] length, int length_offset, byte[] infolog, int infolog_offset)` Entry point to C language function: `void glGetProgramInfoLog(GLuint program, GLsizei bufsize, GLsizei * length, GLchar * infolog)` Part of `GL_ES_VERSION_2_0`, `GL_VERSION_2_0`
    `void` | `glGetProgramInfoLog(int program, int bufsize, IntBuffer length, ByteBuffer infolog)` Entry point to C language function: `void glGetProgramInfoLog(GLuint program, GLsizei bufsize, GLsizei * length, GLchar * infolog)` Part of `GL_ES_VERSION_2_0`, `GL_VERSION_2_0`
    `void` | `glGetProgramiv(int program, int pname, int[] params, int params_offset)` Entry point to C language function: `void glGetProgramiv(GLuint program, GLenum pname, GLint * params)` Part of `GL_ES_VERSION_2_0`, `GL_VERSION_2_0`
    `void` | `glGetProgramiv(int program, int pname, IntBuffer params)` Entry point to C language function: `void glGetProgramiv(GLuint program, GLenum pname, GLint * params)` Part of `GL_ES_VERSION_2_0`, `GL_VERSION_2_0`
    `void` | `glGetQueryiv(int target, int pname, int[] params, int params_offset)` Entry point to C language function: `void glGetQueryiv(GLenum target, GLenum pname, GLint * params)` Part of `GL_ES_VERSION_3_0`, `GL_VERSION_1_5`; `GL_EXT_occlusion_query_boolean`, `GL_EXT_disjoint_timer_query`
    `void` | `glGetQueryiv(int target, int pname, IntBuffer params)` Entry point to C language function: `void glGetQueryiv(GLenum target, GLenum pname, GLint * params)` Part of `GL_ES_VERSION_3_0`, `GL_VERSION_1_5`; `GL_EXT_occlusion_query_boolean`, `GL_EXT_disjoint_timer_query`
    `void` | `glGetQueryObjectuiv(int id, int pname, int[] params, int params_offset)` Entry point to C language function: `void glGetQueryObjectuiv(GLuint id, GLenum pname, GLuint * params)` Part of `GL_ES_VERSION_3_0`, `GL_VERSION_1_5`; `GL_EXT_occlusion_query_boolean`, `GL_EXT_disjoint_timer_query`
    `void` | `glGetQueryObjectuiv(int id, int pname, IntBuffer params)` Entry point to C language function: `void glGetQueryObjectuiv(GLuint id, GLenum pname, GLuint * params)` Part of `GL_ES_VERSION_3_0`, `GL_VERSION_1_5`; `GL_EXT_occlusion_query_boolean`, `GL_EXT_disjoint_timer_query`
    `void` | `glGetShaderInfoLog(int shader, int bufsize, int[] length, int length_offset, byte[] infolog, int infolog_offset)` Entry point to C language function: `void glGetShaderInfoLog(GLuint shader, GLsizei bufsize, GLsizei * length, GLchar * infolog)` Part of `GL_ES_VERSION_2_0`, `GL_VERSION_2_0`
    `void` | `glGetShaderInfoLog(int shader, int bufsize, IntBuffer length, ByteBuffer infolog)` Entry point to C language function: `void glGetShaderInfoLog(GLuint shader, GLsizei bufsize, GLsizei * length, GLchar * infolog)` Part of `GL_ES_VERSION_2_0`, `GL_VERSION_2_0`
    `void` | `glGetShaderiv(int shader, int pname, int[] params, int params_offset)` Entry point to C language function: `void glGetShaderiv(GLuint shader, GLenum pname, GLint * params)` Part of `GL_ES_VERSION_2_0`, `GL_VERSION_2_0`
    `void` | `glGetShaderiv(int shader, int pname, IntBuffer params)` Entry point to C language function: `void glGetShaderiv(GLuint shader, GLenum pname, GLint * params)` Part of `GL_ES_VERSION_2_0`, `GL_VERSION_2_0`
    `void` | `glGetShaderPrecisionFormat(int shadertype, int precisiontype, int[] range, int range_offset, int[] precision, int precision_offset)` Entry point to C language function: `void glGetShaderPrecisionFormat(GLenum shadertype, GLenum precisiontype, GLint * range, GLint * precision);` Part of `GL_ES_VERSION_2_0` and `GL_ARB_ES2_compatibility`.
    `void` | `glGetShaderPrecisionFormat(int shadertype, int precisiontype, IntBuffer range, IntBuffer precision)` Entry point to C language function: `void glGetShaderPrecisionFormat(GLenum shadertype, GLenum precisiontype, GLint * range, GLint * precision);` Part of `GL_ES_VERSION_2_0` and `GL_ARB_ES2_compatibility`.
    `void` | `glGetShaderSource(int shader, int bufsize, int[] length, int length_offset, byte[] source, int source_offset)` Entry point to C language function: `void glGetShaderSource(GLuint shader, GLsizei bufsize, GLsizei * length, GLchar * source)` Part of `GL_ES_VERSION_2_0`, `GL_VERSION_2_0`
    `void` | `glGetShaderSource(int shader, int bufsize, IntBuffer length, ByteBuffer source)` Entry point to C language function: `void glGetShaderSource(GLuint shader, GLsizei bufsize, GLsizei * length, GLchar * source)` Part of `GL_ES_VERSION_2_0`, `GL_VERSION_2_0`
    `void` | `glGetUniformfv(int program, int location, float[] params, int params_offset)` Entry point to C language function: `void glGetUniformfv(GLuint program, GLint location, GLfloat * params)` Part of `GL_ES_VERSION_2_0`, `GL_VERSION_2_0`
    `void` | `glGetUniformfv(int program, int location, FloatBuffer params)` Entry point to C language function: `void glGetUniformfv(GLuint program, GLint location, GLfloat * params)` Part of `GL_ES_VERSION_2_0`, `GL_VERSION_2_0`
    `void` | `glGetUniformiv(int program, int location, int[] params, int params_offset)` Entry point to C language function: `void glGetUniformiv(GLuint program, GLint location, GLint * params)` Part of `GL_ES_VERSION_2_0`, `GL_VERSION_2_0`
    `void` | `glGetUniformiv(int program, int location, IntBuffer params)` Entry point to C language function: `void glGetUniformiv(GLuint program, GLint location, GLint * params)` Part of `GL_ES_VERSION_2_0`, `GL_VERSION_2_0`
    `int` | `glGetUniformLocation(int program, String name)` Entry point to C language function: `GLint glGetUniformLocation(GLuint program, const GLchar * name)` Part of `GL_ES_VERSION_2_0`, `GL_VERSION_2_0`
    `void` | `glGetVertexAttribfv(int index, int pname, float[] params, int params_offset)` Entry point to C language function: `void glGetVertexAttribfv(GLuint index, GLenum pname, GLfloat * params)` Part of `GL_ES_VERSION_2_0`, `GL_VERSION_2_0`
    `void` | `glGetVertexAttribfv(int index, int pname, FloatBuffer params)` Entry point to C language function: `void glGetVertexAttribfv(GLuint index, GLenum pname, GLfloat * params)` Part of `GL_ES_VERSION_2_0`, `GL_VERSION_2_0`
    `void` | `glGetVertexAttribiv(int index, int pname, int[] params, int params_offset)` Entry point to C language function: `void glGetVertexAttribiv(GLuint index, GLenum pname, GLint * params)` Part of `GL_ES_VERSION_2_0`, `GL_VERSION_2_0`
    `void` | `glGetVertexAttribiv(int index, int pname, IntBuffer params)` Entry point to C language function: `void glGetVertexAttribiv(GLuint index, GLenum pname, GLint * params)` Part of `GL_ES_VERSION_2_0`, `GL_VERSION_2_0`
    `boolean` | `glIsProgram(int program)` Entry point to C language function: `GLboolean glIsProgram(GLuint program)` Part of `GL_ES_VERSION_2_0`, `GL_VERSION_2_0`
    `boolean` | `glIsQuery(int id)` Entry point to C language function: `GLboolean glIsQuery(GLuint id)` Part of `GL_ES_VERSION_3_0`, `GL_VERSION_1_5`; `GL_EXT_occlusion_query_boolean`, `GL_EXT_disjoint_timer_query`
    `boolean` | `glIsShader(int shader)` Entry point to C language function: `GLboolean glIsShader(GLuint shader)` Part of `GL_ES_VERSION_2_0`, `GL_VERSION_2_0`
    `void` | `glLinkProgram(int program)` Entry point to C language function: `void glLinkProgram(GLuint program)` Part of `GL_ES_VERSION_2_0`, `GL_VERSION_2_0`
    `void` | `glObjectLabel(int identifier, int name, int length, byte[] label, int label_offset)` Entry point to C language function: `void glObjectLabel(GLenum identifier, GLuint name, GLsizei length, const GLchar * label)` Part of `GL_VERSION_4_3`, `GL_KHR_debug`; `GL_KHR_debug`
    `void` | `glObjectLabel(int identifier, int name, int length, ByteBuffer label)` Entry point to C language function: `void glObjectLabel(GLenum identifier, GLuint name, GLsizei length, const GLchar * label)` Part of `GL_VERSION_4_3`, `GL_KHR_debug`; `GL_KHR_debug`
    `void` | `glObjectPtrLabel(Buffer ptr, int length, byte[] label, int label_offset)` Entry point to C language function: `void glObjectPtrLabel(const void * ptr, GLsizei length, const GLchar * label)` Part of `GL_VERSION_4_3`, `GL_KHR_debug`; `GL_KHR_debug`
    `void` | `glObjectPtrLabel(Buffer ptr, int length, ByteBuffer label)` Entry point to C language function: `void glObjectPtrLabel(const void * ptr, GLsizei length, const GLchar * label)` Part of `GL_VERSION_4_3`, `GL_KHR_debug`; `GL_KHR_debug`
    `void` | `glPopDebugGroup()` Entry point to C language function: `void glPopDebugGroup(void)` Part of `GL_VERSION_4_3`, `GL_KHR_debug`; `GL_KHR_debug`
    `void` | `glProgramBinary(int program, int binaryFormat, Buffer binary, int length)` Entry point to C language function: `void glProgramBinary(GLuint program, GLenum binaryFormat, const GLvoid * binary, GLint length)` Part of `GL_ES_VERSION_3_0`, `GL_VERSION_4_1`, `GL_ARB_get_program_binary`; `GL_OES_get_program_binary`
    `void` | `glPushDebugGroup(int source, int id, int length, byte[] message, int message_offset)` Entry point to C language function: `void glPushDebugGroup(GLenum source, GLuint id, GLsizei length, const GLchar * message)` Part of `GL_VERSION_4_3`, `GL_KHR_debug`; `GL_KHR_debug`
    `void` | `glPushDebugGroup(int source, int id, int length, ByteBuffer message)` Entry point to C language function: `void glPushDebugGroup(GLenum source, GLuint id, GLsizei length, const GLchar * message)` Part of `GL_VERSION_4_3`, `GL_KHR_debug`; `GL_KHR_debug`
    `void` | `glReleaseShaderCompiler()` Entry point to C language function: `void glReleaseShaderCompiler(void);` Part of `GL_ES_VERSION_2_0` and `GL_ARB_ES2_compatibility`.
    `void` | `glShaderBinary(int n, int[] shaders, int shaders_offset, int binaryformat, Buffer binary, int length)` Entry point to C language function: `void glShaderBinary(GLint n, const GLuint * shaders, GLenum binaryformat, const void * binary, GLint length);` Part of `GL_ES_VERSION_2_0` and `GL_ARB_ES2_compatibility`.
    `void` | `glShaderBinary(int n, IntBuffer shaders, int binaryformat, Buffer binary, int length)` Entry point to C language function: `void glShaderBinary(GLint n, const GLuint * shaders, GLenum binaryformat, const void * binary, GLint length);` Part of `GL_ES_VERSION_2_0` and `GL_ARB_ES2_compatibility`.
    `void` | `glShaderSource(int shader, int count, String[] string, int[] length, int length_offset)` Entry point to C language function: `void glShaderSource(GLuint shader, GLsizei count, const GLchar * * string, const GLint * length)` Part of `GL_ES_VERSION_2_0`, `GL_VERSION_2_0`
    `void` | `glShaderSource(int shader, int count, String[] string, IntBuffer length)` Entry point to C language function: `void glShaderSource(GLuint shader, GLsizei count, const GLchar * * string, const GLint * length)` Part of `GL_ES_VERSION_2_0`, `GL_VERSION_2_0`
    `void` | `glStencilFuncSeparate(int face, int func, int ref, int mask)` Entry point to C language function: `void glStencilFuncSeparate(GLenum face, GLenum func, GLint ref, GLuint mask)` Part of `GL_ES_VERSION_2_0`, `GL_VERSION_2_0`
    `void` | `glStencilMaskSeparate(int face, int mask)` Entry point to C language function: `void glStencilMaskSeparate(GLenum face, GLuint mask)` Part of `GL_ES_VERSION_2_0`, `GL_VERSION_2_0`
    `void` | `glStencilOpSeparate(int face, int fail, int zfail, int zpass)` Entry point to C language function: `void glStencilOpSeparate(GLenum face, GLenum fail, GLenum zfail, GLenum zpass)` Part of `GL_ES_VERSION_2_0`, `GL_VERSION_2_0`
    `void` | `glTexImage3D(int target, int level, int internalformat, int width, int height, int depth, int border, int format, int type, Buffer pixels)` Entry point to C language function: `void glTexImage3D(GLenum target, GLint level, GLint internalformat, GLsizei width, GLsizei height, GLsizei depth, GLint border, GLenum format, GLenum type, const GLvoid * pixels)` Part of `GL_VERSION_1_2`, `GL_ES_VERSION_3_0`; `GL_OES_texture_3D`
    `void` | `glTexImage3D(int target, int level, int internalformat, int width, int height, int depth, int border, int format, int type, long pixels_buffer_offset)` Entry point to C language function: `void glTexImage3D(GLenum target, GLint level, GLint internalformat, GLsizei width, GLsizei height, GLsizei depth, GLint border, GLenum format, GLenum type, const GLvoid * pixels)` Part of `GL_VERSION_1_2`, `GL_ES_VERSION_3_0`; `GL_OES_texture_3D`
    `void` | `glTexSubImage3D(int target, int level, int xoffset, int yoffset, int zoffset, int width, int height, int depth, int format, int type, Buffer pixels)` Entry point to C language function: `void glTexSubImage3D(GLenum target, GLint level, GLint xoffset, GLint yoffset, GLint zoffset, GLsizei width, GLsizei height, GLsizei depth, GLenum format, GLenum type, const GLvoid * pixels)` Part of `GL_VERSION_1_2`, `GL_ES_VERSION_3_0`; `GL_OES_texture_3D`
    `void` | `glTexSubImage3D(int target, int level, int xoffset, int yoffset, int zoffset, int width, int height, int depth, int format, int type, long pixels_buffer_offset)` Entry point to C language function: `void glTexSubImage3D(GLenum target, GLint level, GLint xoffset, GLint yoffset, GLint zoffset, GLsizei width, GLsizei height, GLsizei depth, GLenum format, GLenum type, const GLvoid * pixels)` Part of `GL_VERSION_1_2`, `GL_ES_VERSION_3_0`; `GL_OES_texture_3D`
    `void` | `glUniform(GLUniformData data)`
    `void` | `glUniform1f(int location, float x)` Entry point to C language function: `void glUniform1f(GLint location, GLfloat x)` Part of `GL_ES_VERSION_2_0`, `GL_VERSION_2_0`
    `void` | `glUniform1fv(int location, int count, float[] v, int v_offset)` Entry point to C language function: `void glUniform1fv(GLint location, GLsizei count, const GLfloat * v)` Part of `GL_ES_VERSION_2_0`, `GL_VERSION_2_0`
    `void` | `glUniform1fv(int location, int count, FloatBuffer v)` Entry point to C language function: `void glUniform1fv(GLint location, GLsizei count, const GLfloat * v)` Part of `GL_ES_VERSION_2_0`, `GL_VERSION_2_0`
    `void` | `glUniform1i(int location, int x)` Entry point to C language function: `void glUniform1i(GLint location, GLint x)` Part of `GL_ES_VERSION_2_0`, `GL_VERSION_2_0`
    `void` | `glUniform1iv(int location, int count, int[] v, int v_offset)` Entry point to C language function: `void glUniform1iv(GLint location, GLsizei count, const GLint * v)` Part of `GL_ES_VERSION_2_0`, `GL_VERSION_2_0`
    `void` | `glUniform1iv(int location, int count, IntBuffer v)` Entry point to C language function: `void glUniform1iv(GLint location, GLsizei count, const GLint * v)` Part of `GL_ES_VERSION_2_0`, `GL_VERSION_2_0`
    `void` | `glUniform2f(int location, float x, float y)` Entry point to C language function: `void glUniform2f(GLint location, GLfloat x, GLfloat y)` Part of `GL_ES_VERSION_2_0`, `GL_VERSION_2_0`
    `void` | `glUniform2fv(int location, int count, float[] v, int v_offset)` Entry point to C language function: `void glUniform2fv(GLint location, GLsizei count, const GLfloat * v)` Part of `GL_ES_VERSION_2_0`, `GL_VERSION_2_0`
    `void` | `glUniform2fv(int location, int count, FloatBuffer v)` Entry point to C language function: `void glUniform2fv(GLint location, GLsizei count, const GLfloat * v)` Part of `GL_ES_VERSION_2_0`, `GL_VERSION_2_0`
    `void` | `glUniform2i(int location, int x, int y)` Entry point to C language function: `void glUniform2i(GLint location, GLint x, GLint y)` Part of `GL_ES_VERSION_2_0`, `GL_VERSION_2_0`
    `void` | `glUniform2iv(int location, int count, int[] v, int v_offset)` Entry point to C language function: `void glUniform2iv(GLint location, GLsizei count, const GLint * v)` Part of `GL_ES_VERSION_2_0`, `GL_VERSION_2_0`
    `void` | `glUniform2iv(int location, int count, IntBuffer v)` Entry point to C language function: `void glUniform2iv(GLint location, GLsizei count, const GLint * v)` Part of `GL_ES_VERSION_2_0`, `GL_VERSION_2_0`
    `void` | `glUniform3f(int location, float x, float y, float z)` Entry point to C language function: `void glUniform3f(GLint location, GLfloat x, GLfloat y, GLfloat z)` Part of `GL_ES_VERSION_2_0`, `GL_VERSION_2_0`
    `void` | `glUniform3fv(int location, int count, float[] v, int v_offset)` Entry point to C language function: `void glUniform3fv(GLint location, GLsizei count, const GLfloat * v)` Part of `GL_ES_VERSION_2_0`, `GL_VERSION_2_0`
    `void` | `glUniform3fv(int location, int count, FloatBuffer v)` Entry point to C language function: `void glUniform3fv(GLint location, GLsizei count, const GLfloat * v)` Part of `GL_ES_VERSION_2_0`, `GL_VERSION_2_0`
    `void` | `glUniform3i(int location, int x, int y, int z)` Entry point to C language function: `void glUniform3i(GLint location, GLint x, GLint y, GLint z)` Part of `GL_ES_VERSION_2_0`, `GL_VERSION_2_0`
    `void` | `glUniform3iv(int location, int count, int[] v, int v_offset)` Entry point to C language function: `void glUniform3iv(GLint location, GLsizei count, const GLint * v)` Part of `GL_ES_VERSION_2_0`, `GL_VERSION_2_0`
    `void` | `glUniform3iv(int location, int count, IntBuffer v)` Entry point to C language function: `void glUniform3iv(GLint location, GLsizei count, const GLint * v)` Part of `GL_ES_VERSION_2_0`, `GL_VERSION_2_0`
    `void` | `glUniform4f(int location, float x, float y, float z, float w)` Entry point to C language function: `void glUniform4f(GLint location, GLfloat x, GLfloat y, GLfloat z, GLfloat w)` Part of `GL_ES_VERSION_2_0`, `GL_VERSION_2_0`
    `void` | `glUniform4fv(int location, int count, float[] v, int v_offset)` Entry point to C language function: `void glUniform4fv(GLint location, GLsizei count, const GLfloat * v)` Part of `GL_ES_VERSION_2_0`, `GL_VERSION_2_0`
    `void` | `glUniform4fv(int location, int count, FloatBuffer v)` Entry point to C language function: `void glUniform4fv(GLint location, GLsizei count, const GLfloat * v)` Part of `GL_ES_VERSION_2_0`, `GL_VERSION_2_0`
    `void` | `glUniform4i(int location, int x, int y, int z, int w)` Entry point to C language function: `void glUniform4i(GLint location, GLint x, GLint y, GLint z, GLint w)` Part of `GL_ES_VERSION_2_0`, `GL_VERSION_2_0`
    `void` | `glUniform4iv(int location, int count, int[] v, int v_offset)` Entry point to C language function: `void glUniform4iv(GLint location, GLsizei count, const GLint * v)` Part of `GL_ES_VERSION_2_0`, `GL_VERSION_2_0`
    `void` | `glUniform4iv(int location, int count, IntBuffer v)` Entry point to C language function: `void glUniform4iv(GLint location, GLsizei count, const GLint * v)` Part of `GL_ES_VERSION_2_0`, `GL_VERSION_2_0`
    `void` | `glUniformMatrix2fv(int location, int count, boolean transpose, float[] value, int value_offset)` Entry point to C language function: `void glUniformMatrix2fv(GLint location, GLsizei count, GLboolean transpose, const GLfloat * value)` Part of `GL_ES_VERSION_2_0`, `GL_VERSION_2_0`
    `void` | `glUniformMatrix2fv(int location, int count, boolean transpose, FloatBuffer value)` Entry point to C language function: `void glUniformMatrix2fv(GLint location, GLsizei count, GLboolean transpose, const GLfloat * value)` Part of `GL_ES_VERSION_2_0`, `GL_VERSION_2_0`
    `void` | `glUniformMatrix3fv(int location, int count, boolean transpose, float[] value, int value_offset)` Entry point to C language function: `void glUniformMatrix3fv(GLint location, GLsizei count, GLboolean transpose, const GLfloat * value)` Part of `GL_ES_VERSION_2_0`, `GL_VERSION_2_0`
    `void` | `glUniformMatrix3fv(int location, int count, boolean transpose, FloatBuffer value)` Entry point to C language function: `void glUniformMatrix3fv(GLint location, GLsizei count, GLboolean transpose, const GLfloat * value)` Part of `GL_ES_VERSION_2_0`, `GL_VERSION_2_0`
    `void` | `glUniformMatrix4fv(int location, int count, boolean transpose, float[] value, int value_offset)` Entry point to C language function: `void glUniformMatrix4fv(GLint location, GLsizei count, GLboolean transpose, const GLfloat * value)` Part of `GL_ES_VERSION_2_0`, `GL_VERSION_2_0`
    `void` | `glUniformMatrix4fv(int location, int count, boolean transpose, FloatBuffer value)` Entry point to C language function: `void glUniformMatrix4fv(GLint location, GLsizei count, GLboolean transpose, const GLfloat * value)` Part of `GL_ES_VERSION_2_0`, `GL_VERSION_2_0`
    `void` | `glUseProgram(int program)` Entry point to C language function: `void glUseProgram(GLuint program)` Part of `GL_ES_VERSION_2_0`, `GL_VERSION_2_0`
    `void` | `glValidateProgram(int program)` Entry point to C language function: `void glValidateProgram(GLuint program)` Part of `GL_ES_VERSION_2_0`, `GL_VERSION_2_0`
    `void` | `glVertexAttrib1f(int indx, float x)` Entry point to C language function: `void glVertexAttrib1f(GLuint indx, GLfloat x)` Part of `GL_ES_VERSION_2_0`, `GL_VERSION_2_0`
    `void` | `glVertexAttrib1fv(int indx, float[] values, int values_offset)` Entry point to C language function: `void glVertexAttrib1fv(GLuint indx, const GLfloat * values)` Part of `GL_ES_VERSION_2_0`, `GL_VERSION_2_0`
    `void` | `glVertexAttrib1fv(int indx, FloatBuffer values)` Entry point to C language function: `void glVertexAttrib1fv(GLuint indx, const GLfloat * values)` Part of `GL_ES_VERSION_2_0`, `GL_VERSION_2_0`
    `void` | `glVertexAttrib2f(int indx, float x, float y)` Entry point to C language function: `void glVertexAttrib2f(GLuint indx, GLfloat x, GLfloat y)` Part of `GL_ES_VERSION_2_0`, `GL_VERSION_2_0`
    `void` | `glVertexAttrib2fv(int indx, float[] values, int values_offset)` Entry point to C language function: `void glVertexAttrib2fv(GLuint indx, const GLfloat * values)` Part of `GL_ES_VERSION_2_0`, `GL_VERSION_2_0`
    `void` | `glVertexAttrib2fv(int indx, FloatBuffer values)` Entry point to C language function: `void glVertexAttrib2fv(GLuint indx, const GLfloat * values)` Part of `GL_ES_VERSION_2_0`, `GL_VERSION_2_0`
    `void` | `glVertexAttrib3f(int indx, float x, float y, float z)` Entry point to C language function: `void glVertexAttrib3f(GLuint indx, GLfloat x, GLfloat y, GLfloat z)` Part of `GL_ES_VERSION_2_0`, `GL_VERSION_2_0`
    `void` | `glVertexAttrib3fv(int indx, float[] values, int values_offset)` Entry point to C language function: `void glVertexAttrib3fv(GLuint indx, const GLfloat * values)` Part of `GL_ES_VERSION_2_0`, `GL_VERSION_2_0`
    `void` | `glVertexAttrib3fv(int indx, FloatBuffer values)` Entry point to C language function: `void glVertexAttrib3fv(GLuint indx, const GLfloat * values)` Part of `GL_ES_VERSION_2_0`, `GL_VERSION_2_0`
    `void` | `glVertexAttrib4f(int indx, float x, float y, float z, float w)` Entry point to C language function: `void glVertexAttrib4f(GLuint indx, GLfloat x, GLfloat y, GLfloat z, GLfloat w)` Part of `GL_ES_VERSION_2_0`, `GL_VERSION_2_0`
    `void` | `glVertexAttrib4fv(int indx, float[] values, int values_offset)` Entry point to C language function: `void glVertexAttrib4fv(GLuint indx, const GLfloat * values)` Part of `GL_ES_VERSION_2_0`, `GL_VERSION_2_0`
    `void` | `glVertexAttrib4fv(int indx, FloatBuffer values)` Entry point to C language function: `void glVertexAttrib4fv(GLuint indx, const GLfloat * values)` Part of `GL_ES_VERSION_2_0`, `GL_VERSION_2_0`
    `void` | `glVertexAttribPointer(GLArrayData array)`
    `void` | `glVertexAttribPointer(int indx, int size, int type, boolean normalized, int stride, long ptr_buffer_offset)` Entry point to C language function: `void glVertexAttribPointer(GLuint indx, GLint size, GLenum type, GLboolean normalized, GLsizei stride, const GLvoid * ptr)` Part of `GL_ES_VERSION_2_0`, `GL_VERSION_2_0`

    - ### Methods inherited from interface javax.media.opengl.GL

      `glActiveTexture, glBindBuffer, glBindFramebuffer, glBindRenderbuffer, glBindTexture, glBlendEquation, glBlendEquationSeparate, glBlendFunc, glBlendFuncSeparate, glBufferData, glBufferSubData, glCheckFramebufferStatus, glClear, glClearColor, glClearStencil, glColorMask, glCompressedTexImage2D, glCompressedTexImage2D, glCompressedTexSubImage2D, glCompressedTexSubImage2D, glCopyTexImage2D, glCopyTexSubImage2D, glCullFace, glDeleteBuffers, glDeleteBuffers, glDeleteFramebuffers, glDeleteFramebuffers, glDeleteRenderbuffers, glDeleteRenderbuffers, glDeleteTextures, glDeleteTextures, glDepthFunc, glDepthMask, glDisable, glDrawArrays, glDrawElements, glEnable, glFinish, glFlush, glFlushMappedBufferRange, glFramebufferRenderbuffer, glFramebufferTexture2D, glFrontFace, glGenBuffers, glGenBuffers, glGenerateMipmap, glGenFramebuffers, glGenFramebuffers, glGenRenderbuffers, glGenRenderbuffers, glGenTextures, glGenTextures, glGetBooleanv, glGetBooleanv, glGetBufferParameteriv, glGetBufferParameteriv, glGetError, glGetFloatv, glGetFloatv, glGetFramebufferAttachmentParameteriv, glGetFramebufferAttachmentParameteriv, glGetGraphicsResetStatus, glGetIntegerv, glGetIntegerv, glGetnUniformfv, glGetnUniformfv, glGetnUniformiv, glGetnUniformiv, glGetRenderbufferParameteriv, glGetRenderbufferParameteriv, glGetString, glGetTexParameterfv, glGetTexParameterfv, glGetTexParameteriv, glGetTexParameteriv, glHint, glIsBuffer, glIsEnabled, glIsFramebuffer, glIsRenderbuffer, glIsTexture, glLineWidth, glMapBuffer, glMapBufferRange, glPixelStorei, glPolygonOffset, glReadnPixels, glReadPixels, glReadPixels, glRenderbufferStorage, glSampleCoverage, glScissor, glStencilFunc, glStencilMask, glStencilOp, glTexImage2D, glTexImage2D, glTexParameterf, glTexParameterfv, glTexParameterfv, glTexParameteri, glTexParameteriv, glTexParameteriv, glTexStorage1D, glTexStorage2D, glTexStorage3D, glTexSubImage2D, glTexSubImage2D, glTextureStorage1D, glTextureStorage2D, glTextureStorage3D, glUnmapBuffer, glViewport`

    - ### Methods inherited from interface javax.media.opengl.GLBase

      `getBoundBuffer, getBoundFramebuffer, getBufferStorage, getContext, getDefaultDrawFramebuffer, getDefaultReadBuffer, getDefaultReadFramebuffer, getDownstreamGL, getExtension, getGL, getGL2, getGL2ES1, getGL2ES2, getGL2ES3, getGL2GL3, getGL3, getGL3bc, getGL3ES3, getGL4, getGL4bc, getGL4ES3, getGLES1, getGLES2, getGLES3, getGLProfile, getMaxRenderbufferSamples, getPlatformGLExtensions, getRootGL, getSwapInterval, hasBasicFBOSupport, hasFullFBOSupport, hasGLSL, isExtensionAvailable, isFunctionAvailable, isGL, isGL2, isGL2ES1, isGL2ES2, isGL2ES3, isGL2GL3, isGL3, isGL3bc, isGL3core, isGL3ES3, isGL4, isGL4bc, isGL4core, isGL4ES3, isGLcore, isGLES, isGLES1, isGLES2, isGLES2Compatible, isGLES3, isGLES3Compatible, isNPOTTextureAvailable, isTextureFormatBGRA8888Available, isVBOArrayBound, isVBOElementArrayBound, mapBuffer, mapBufferRange, setSwapInterval`

- - ### Field Detail

    - #### GL_CONSTANT_COLOR

          static final int GL_CONSTANT_COLOR

      Part of `GL_ES_VERSION_2_0`, `GL_ARB_imaging`
      See Also:
        Constant Field Values

    - #### GL_ONE_MINUS_CONSTANT_COLOR

          static final int GL_ONE_MINUS_CONSTANT_COLOR

      Part of `GL_ES_VERSION_2_0`, `GL_ARB_imaging`
      See Also:
        Constant Field Values

    - #### GL_CONSTANT_ALPHA

          static final int GL_CONSTANT_ALPHA

      Part of `GL_ES_VERSION_2_0`, `GL_ARB_imaging`
      See Also:
        Constant Field Values

    - #### GL_ONE_MINUS_CONSTANT_ALPHA

          static final int GL_ONE_MINUS_CONSTANT_ALPHA

      Part of `GL_ES_VERSION_2_0`, `GL_ARB_imaging`
      See Also:
        Constant Field Values

    - #### GL_BLEND_COLOR

          static final int GL_BLEND_COLOR

      Part of `GL_ES_VERSION_2_0`, `GL_ARB_imaging`
      See Also:
        Constant Field Values

    - #### GL_STREAM_DRAW

          static final int GL_STREAM_DRAW

      Part of `GL_VERSION_1_5`, `GL_ES_VERSION_2_0`
      See Also:
        Constant Field Values

    - #### GL_CURRENT_VERTEX_ATTRIB

          static final int GL_CURRENT_VERTEX_ATTRIB

      Part of `GL_ES_VERSION_2_0`, `GL_VERSION_2_0`
      See Also:
        Constant Field Values

    - #### GL_STENCIL_BACK_FUNC

          static final int GL_STENCIL_BACK_FUNC

      Part of `GL_ES_VERSION_2_0`, `GL_VERSION_2_0`
      See Also:
        Constant Field Values

    - #### GL_STENCIL_BACK_FAIL

          static final int GL_STENCIL_BACK_FAIL

      Part of `GL_ES_VERSION_2_0`, `GL_VERSION_2_0`
      See Also:
        Constant Field Values

    - #### GL_STENCIL_BACK_PASS_DEPTH_FAIL

          static final int GL_STENCIL_BACK_PASS_DEPTH_FAIL

      Part of `GL_ES_VERSION_2_0`, `GL_VERSION_2_0`
      See Also:
        Constant Field Values

    - #### GL_STENCIL_BACK_PASS_DEPTH_PASS

          static final int GL_STENCIL_BACK_PASS_DEPTH_PASS

      Part of `GL_ES_VERSION_2_0`, `GL_VERSION_2_0`
      See Also:
        Constant Field Values

    - #### GL_STENCIL_BACK_REF

          static final int GL_STENCIL_BACK_REF

      Part of `GL_ES_VERSION_2_0`, `GL_VERSION_2_0`
      See Also:
        Constant Field Values

    - #### GL_STENCIL_BACK_VALUE_MASK

          static final int GL_STENCIL_BACK_VALUE_MASK

      Part of `GL_ES_VERSION_2_0`, `GL_VERSION_2_0`
      See Also:
        Constant Field Values

    - #### GL_STENCIL_BACK_WRITEMASK

          static final int GL_STENCIL_BACK_WRITEMASK

      Part of `GL_ES_VERSION_2_0`, `GL_VERSION_2_0`
      See Also:
        Constant Field Values

    - #### GL_INT

          static final int GL_INT

      Part of `GL_VERSION_1_1`, `GL_VERSION_1_0`, `GL_ES_VERSION_2_0`
      See Also:
        Constant Field Values

    - #### GL_FRAGMENT_SHADER

          static final int GL_FRAGMENT_SHADER

      Part of `GL_ES_VERSION_2_0`, `GL_VERSION_2_0`
      See Also:
        Constant Field Values

    - #### GL_VERTEX_SHADER

          static final int GL_VERTEX_SHADER

      Part of `GL_ES_VERSION_2_0`, `GL_VERSION_2_0`
      See Also:
        Constant Field Values

    - #### GL_MAX_VERTEX_ATTRIBS

          static final int GL_MAX_VERTEX_ATTRIBS

      Part of `GL_ES_VERSION_2_0`, `GL_VERSION_2_0`
      See Also:
        Constant Field Values

    - #### GL_MAX_VERTEX_UNIFORM_VECTORS

          static final int GL_MAX_VERTEX_UNIFORM_VECTORS

      Part of `GL_ARB_ES2_compatibility`, `GL_VERSION_4_1`, `GL_ES_VERSION_2_0`
      See Also:
        Constant Field Values

    - #### GL_MAX_VARYING_VECTORS

          static final int GL_MAX_VARYING_VECTORS

      Part of `GL_ARB_ES2_compatibility`, `GL_VERSION_4_1`, `GL_ES_VERSION_2_0`
      See Also:
        Constant Field Values

    - #### GL_MAX_COMBINED_TEXTURE_IMAGE_UNITS

          static final int GL_MAX_COMBINED_TEXTURE_IMAGE_UNITS

      Part of `GL_ES_VERSION_2_0`, `GL_VERSION_2_0`
      See Also:
        Constant Field Values

    - #### GL_MAX_VERTEX_TEXTURE_IMAGE_UNITS

          static final int GL_MAX_VERTEX_TEXTURE_IMAGE_UNITS

      Part of `GL_ES_VERSION_2_0`, `GL_VERSION_2_0`
      See Also:
        Constant Field Values

    - #### GL_MAX_TEXTURE_IMAGE_UNITS

          static final int GL_MAX_TEXTURE_IMAGE_UNITS

      Part of `GL_ES_VERSION_2_0`, `GL_VERSION_2_0`
      See Also:
        Constant Field Values

    - #### GL_MAX_FRAGMENT_UNIFORM_VECTORS

          static final int GL_MAX_FRAGMENT_UNIFORM_VECTORS

      Part of `GL_ARB_ES2_compatibility`, `GL_VERSION_4_1`, `GL_ES_VERSION_2_0`
      See Also:
        Constant Field Values

    - #### GL_SHADER_TYPE

          static final int GL_SHADER_TYPE

      Part of `GL_ES_VERSION_2_0`, `GL_VERSION_2_0`
      See Also:
        Constant Field Values

    - #### GL_DELETE_STATUS

          static final int GL_DELETE_STATUS

      Part of `GL_ES_VERSION_2_0`, `GL_VERSION_2_0`
      See Also:
        Constant Field Values

    - #### GL_LINK_STATUS

          static final int GL_LINK_STATUS

      Part of `GL_ES_VERSION_2_0`, `GL_VERSION_2_0`
      See Also:
        Constant Field Values

    - #### GL_VALIDATE_STATUS

          static final int GL_VALIDATE_STATUS

      Part of `GL_ES_VERSION_2_0`, `GL_VERSION_2_0`
      See Also:
        Constant Field Values

    - #### GL_ATTACHED_SHADERS

          static final int GL_ATTACHED_SHADERS

      Part of `GL_ES_VERSION_2_0`, `GL_VERSION_2_0`
      See Also:
        Constant Field Values

    - #### GL_ACTIVE_UNIFORMS

          static final int GL_ACTIVE_UNIFORMS

      Part of `GL_ES_VERSION_2_0`, `GL_VERSION_2_0`
      See Also:
        Constant Field Values

    - #### GL_ACTIVE_UNIFORM_MAX_LENGTH

          static final int GL_ACTIVE_UNIFORM_MAX_LENGTH

      Part of `GL_ES_VERSION_2_0`, `GL_VERSION_2_0`
      See Also:
        Constant Field Values

    - #### GL_ACTIVE_ATTRIBUTES

          static final int GL_ACTIVE_ATTRIBUTES

      Part of `GL_ES_VERSION_2_0`, `GL_VERSION_2_0`
      See Also:
        Constant Field Values

    - #### GL_ACTIVE_ATTRIBUTE_MAX_LENGTH

          static final int GL_ACTIVE_ATTRIBUTE_MAX_LENGTH

      Part of `GL_ES_VERSION_2_0`, `GL_VERSION_2_0`
      See Also:
        Constant Field Values

    - #### GL_SHADING_LANGUAGE_VERSION

          static final int GL_SHADING_LANGUAGE_VERSION

      Part of `GL_ES_VERSION_2_0`, `GL_VERSION_2_0`
      See Also:
        Constant Field Values

    - #### GL_CURRENT_PROGRAM

          static final int GL_CURRENT_PROGRAM

      Part of `GL_ES_VERSION_2_0`, `GL_VERSION_2_0`
      See Also:
        Constant Field Values

    - #### GL_FLOAT_VEC2

          static final int GL_FLOAT_VEC2

      Part of `GL_ES_VERSION_2_0`, `GL_VERSION_2_0`
      See Also:
        Constant Field Values

    - #### GL_FLOAT_VEC3

          static final int GL_FLOAT_VEC3

      Part of `GL_ES_VERSION_2_0`, `GL_VERSION_2_0`
      See Also:
        Constant Field Values

    - #### GL_FLOAT_VEC4

          static final int GL_FLOAT_VEC4

      Part of `GL_ES_VERSION_2_0`, `GL_VERSION_2_0`
      See Also:
        Constant Field Values

    - #### GL_INT_VEC2

          static final int GL_INT_VEC2

      Part of `GL_ES_VERSION_2_0`, `GL_VERSION_2_0`
      See Also:
        Constant Field Values

    - #### GL_INT_VEC3

          static final int GL_INT_VEC3

      Part of `GL_ES_VERSION_2_0`, `GL_VERSION_2_0`
      See Also:
        Constant Field Values

    - #### GL_INT_VEC4

          static final int GL_INT_VEC4

      Part of `GL_ES_VERSION_2_0`, `GL_VERSION_2_0`
      See Also:
        Constant Field Values

    - #### GL_BOOL

          static final int GL_BOOL

      Part of `GL_ES_VERSION_2_0`, `GL_VERSION_2_0`
      See Also:
        Constant Field Values

    - #### GL_BOOL_VEC2

          static final int GL_BOOL_VEC2

      Part of `GL_ES_VERSION_2_0`, `GL_VERSION_2_0`
      See Also:
        Constant Field Values

    - #### GL_BOOL_VEC3

          static final int GL_BOOL_VEC3

      Part of `GL_ES_VERSION_2_0`, `GL_VERSION_2_0`
      See Also:
        Constant Field Values

    - #### GL_BOOL_VEC4

          static final int GL_BOOL_VEC4

      Part of `GL_ES_VERSION_2_0`, `GL_VERSION_2_0`
      See Also:
        Constant Field Values

    - #### GL_FLOAT_MAT2

          static final int GL_FLOAT_MAT2

      Part of `GL_ES_VERSION_2_0`, `GL_VERSION_2_0`
      See Also:
        Constant Field Values

    - #### GL_FLOAT_MAT3

          static final int GL_FLOAT_MAT3

      Part of `GL_ES_VERSION_2_0`, `GL_VERSION_2_0`
      See Also:
        Constant Field Values

    - #### GL_FLOAT_MAT4

          static final int GL_FLOAT_MAT4

      Part of `GL_ES_VERSION_2_0`, `GL_VERSION_2_0`
      See Also:
        Constant Field Values

    - #### GL_SAMPLER_2D

          static final int GL_SAMPLER_2D

      Part of `GL_ES_VERSION_2_0`, `GL_VERSION_2_0`
      See Also:
        Constant Field Values

    - #### GL_SAMPLER_CUBE

          static final int GL_SAMPLER_CUBE

      Part of `GL_ES_VERSION_2_0`, `GL_VERSION_2_0`
      See Also:
        Constant Field Values

    - #### GL_VERTEX_ATTRIB_ARRAY_ENABLED

          static final int GL_VERTEX_ATTRIB_ARRAY_ENABLED

      Part of `GL_ES_VERSION_2_0`, `GL_VERSION_2_0`
      See Also:
        Constant Field Values

    - #### GL_VERTEX_ATTRIB_ARRAY_SIZE

          static final int GL_VERTEX_ATTRIB_ARRAY_SIZE

      Part of `GL_ES_VERSION_2_0`, `GL_VERSION_2_0`
      See Also:
        Constant Field Values

    - #### GL_VERTEX_ATTRIB_ARRAY_STRIDE

          static final int GL_VERTEX_ATTRIB_ARRAY_STRIDE

      Part of `GL_ES_VERSION_2_0`, `GL_VERSION_2_0`
      See Also:
        Constant Field Values

    - #### GL_VERTEX_ATTRIB_ARRAY_TYPE

          static final int GL_VERTEX_ATTRIB_ARRAY_TYPE

      Part of `GL_ES_VERSION_2_0`, `GL_VERSION_2_0`
      See Also:
        Constant Field Values

    - #### GL_VERTEX_ATTRIB_ARRAY_NORMALIZED

          static final int GL_VERTEX_ATTRIB_ARRAY_NORMALIZED

      Part of `GL_ES_VERSION_2_0`, `GL_VERSION_2_0`
      See Also:
        Constant Field Values

    - #### GL_VERTEX_ATTRIB_ARRAY_POINTER

          static final int GL_VERTEX_ATTRIB_ARRAY_POINTER

      Part of `GL_ES_VERSION_2_0`, `GL_VERSION_2_0`
      See Also:
        Constant Field Values

    - #### GL_VERTEX_ATTRIB_ARRAY_BUFFER_BINDING

          static final int GL_VERTEX_ATTRIB_ARRAY_BUFFER_BINDING

      Part of `GL_VERSION_1_5`, `GL_ES_VERSION_2_0`
      See Also:
        Constant Field Values

    - #### GL_COMPILE_STATUS

          static final int GL_COMPILE_STATUS

      Part of `GL_ES_VERSION_2_0`, `GL_VERSION_2_0`
      See Also:
        Constant Field Values

    - #### GL_INFO_LOG_LENGTH

          static final int GL_INFO_LOG_LENGTH

      Part of `GL_ES_VERSION_2_0`, `GL_VERSION_2_0`
      See Also:
        Constant Field Values

    - #### GL_SHADER_SOURCE_LENGTH

          static final int GL_SHADER_SOURCE_LENGTH

      Part of `GL_ES_VERSION_2_0`, `GL_VERSION_2_0`
      See Also:
        Constant Field Values

    - #### GL_SHADER_COMPILER

          static final int GL_SHADER_COMPILER

      Part of `GL_ARB_ES2_compatibility`, `GL_VERSION_4_1`, `GL_ES_VERSION_2_0`
      See Also:
        Constant Field Values

    - #### GL_SHADER_BINARY_FORMATS

          static final int GL_SHADER_BINARY_FORMATS

      Part of `GL_ARB_ES2_compatibility`, `GL_VERSION_4_1`, `GL_ES_VERSION_2_0`
      See Also:
        Constant Field Values

    - #### GL_NUM_SHADER_BINARY_FORMATS

          static final int GL_NUM_SHADER_BINARY_FORMATS

      Part of `GL_ARB_ES2_compatibility`, `GL_VERSION_4_1`, `GL_ES_VERSION_2_0`
      See Also:
        Constant Field Values

    - #### GL_LOW_FLOAT

          static final int GL_LOW_FLOAT

      Part of `GL_ARB_ES2_compatibility`, `GL_VERSION_4_1`, `GL_ES_VERSION_2_0`
      See Also:
        Constant Field Values

    - #### GL_MEDIUM_FLOAT

          static final int GL_MEDIUM_FLOAT

      Part of `GL_ARB_ES2_compatibility`, `GL_VERSION_4_1`, `GL_ES_VERSION_2_0`
      See Also:
        Constant Field Values

    - #### GL_HIGH_FLOAT

          static final int GL_HIGH_FLOAT

      Part of `GL_ARB_ES2_compatibility`, `GL_VERSION_4_1`, `GL_ES_VERSION_2_0`
      See Also:
        Constant Field Values

    - #### GL_LOW_INT

          static final int GL_LOW_INT

      Part of `GL_ARB_ES2_compatibility`, `GL_VERSION_4_1`, `GL_ES_VERSION_2_0`
      See Also:
        Constant Field Values

    - #### GL_MEDIUM_INT

          static final int GL_MEDIUM_INT

      Part of `GL_ARB_ES2_compatibility`, `GL_VERSION_4_1`, `GL_ES_VERSION_2_0`
      See Also:
        Constant Field Values

    - #### GL_HIGH_INT

          static final int GL_HIGH_INT

      Part of `GL_ARB_ES2_compatibility`, `GL_VERSION_4_1`, `GL_ES_VERSION_2_0`
      See Also:
        Constant Field Values

    - #### GL_STENCIL_INDEX

          static final int GL_STENCIL_INDEX

      Part of `GL_VERSION_1_1`, `GL_VERSION_1_0`, `GL_ES_VERSION_2_0`
      See Also:
        Constant Field Values

    - #### GL_PROGRAM_BINARY_LENGTH

          static final int GL_PROGRAM_BINARY_LENGTH

      Part of `GL_ES_VERSION_3_0`, `GL_VERSION_4_1`, `GL_ARB_get_program_binary`; `GL_OES_get_program_binary`
      See Also:
        Constant Field Values

    - #### GL_NUM_PROGRAM_BINARY_FORMATS

          static final int GL_NUM_PROGRAM_BINARY_FORMATS

      Part of `GL_ES_VERSION_3_0`, `GL_VERSION_4_1`, `GL_ARB_get_program_binary`; `GL_OES_get_program_binary`
      See Also:
        Constant Field Values

    - #### GL_PROGRAM_BINARY_FORMATS

          static final int GL_PROGRAM_BINARY_FORMATS

      Part of `GL_ES_VERSION_3_0`, `GL_VERSION_4_1`, `GL_ARB_get_program_binary`; `GL_OES_get_program_binary`
      See Also:
        Constant Field Values

    - #### GL_FRAGMENT_SHADER_DERIVATIVE_HINT

          static final int GL_FRAGMENT_SHADER_DERIVATIVE_HINT

      Part of `GL_ES_VERSION_3_0`, `GL_VERSION_2_0`; `GL_OES_standard_derivatives`
      See Also:
        Constant Field Values

    - #### GL_TEXTURE_WRAP_R

          static final int GL_TEXTURE_WRAP_R

      Part of `GL_VERSION_1_2`, `GL_ES_VERSION_3_0`; `GL_OES_texture_3D`
      See Also:
        Constant Field Values

    - #### GL_TEXTURE_3D

          static final int GL_TEXTURE_3D

      Part of `GL_VERSION_1_2`, `GL_ES_VERSION_3_0`; `GL_OES_texture_3D`
      See Also:
        Constant Field Values

    - #### GL_TEXTURE_BINDING_3D

          static final int GL_TEXTURE_BINDING_3D

      Part of `GL_VERSION_1_2`, `GL_ES_VERSION_3_0`; `GL_OES_texture_3D`
      See Also:
        Constant Field Values

    - #### GL_MAX_3D_TEXTURE_SIZE

          static final int GL_MAX_3D_TEXTURE_SIZE

      Part of `GL_VERSION_1_2`, `GL_ES_VERSION_3_0`; `GL_OES_texture_3D`
      See Also:
        Constant Field Values

    - #### GL_SAMPLER_3D

          static final int GL_SAMPLER_3D

      Part of `GL_ES_VERSION_3_0`, `GL_VERSION_2_0`; `GL_OES_texture_3D`
      See Also:
        Constant Field Values

    - #### GL_UNSIGNED_INT_10_10_10_2

          static final int GL_UNSIGNED_INT_10_10_10_2

      Part of `GL_VERSION_1_2`; `GL_OES_vertex_type_10_10_10_2`
      See Also:
        Constant Field Values

    - #### GL_INT_10_10_10_2

          static final int GL_INT_10_10_10_2

      Part of `GL_OES_vertex_type_10_10_10_2`
      See Also:
        Constant Field Values

    - #### GL_DEBUG_OUTPUT_SYNCHRONOUS

          static final int GL_DEBUG_OUTPUT_SYNCHRONOUS

      Part of `GL_VERSION_4_3`, `GL_KHR_debug`; `GL_ARB_debug_output`; `GL_KHR_debug`
      See Also:
        Constant Field Values

    - #### GL_DEBUG_NEXT_LOGGED_MESSAGE_LENGTH

          static final int GL_DEBUG_NEXT_LOGGED_MESSAGE_LENGTH

      Part of `GL_VERSION_4_3`, `GL_KHR_debug`; `GL_ARB_debug_output`; `GL_KHR_debug`
      See Also:
        Constant Field Values

    - #### GL_DEBUG_CALLBACK_FUNCTION

          static final int GL_DEBUG_CALLBACK_FUNCTION

      Part of `GL_VERSION_4_3`, `GL_KHR_debug`; `GL_ARB_debug_output`; `GL_KHR_debug`
      See Also:
        Constant Field Values

    - #### GL_DEBUG_CALLBACK_USER_PARAM

          static final int GL_DEBUG_CALLBACK_USER_PARAM

      Part of `GL_VERSION_4_3`, `GL_KHR_debug`; `GL_ARB_debug_output`; `GL_KHR_debug`
      See Also:
        Constant Field Values

    - #### GL_DEBUG_SOURCE_API

          static final int GL_DEBUG_SOURCE_API

      Part of `GL_VERSION_4_3`, `GL_KHR_debug`; `GL_ARB_debug_output`; `GL_KHR_debug`
      See Also:
        Constant Field Values

    - #### GL_DEBUG_SOURCE_WINDOW_SYSTEM

          static final int GL_DEBUG_SOURCE_WINDOW_SYSTEM

      Part of `GL_VERSION_4_3`, `GL_KHR_debug`; `GL_ARB_debug_output`; `GL_KHR_debug`
      See Also:
        Constant Field Values

    - #### GL_DEBUG_SOURCE_SHADER_COMPILER

          static final int GL_DEBUG_SOURCE_SHADER_COMPILER

      Part of `GL_VERSION_4_3`, `GL_KHR_debug`; `GL_ARB_debug_output`; `GL_KHR_debug`
      See Also:
        Constant Field Values

    - #### GL_DEBUG_SOURCE_THIRD_PARTY

          static final int GL_DEBUG_SOURCE_THIRD_PARTY

      Part of `GL_VERSION_4_3`, `GL_KHR_debug`; `GL_ARB_debug_output`; `GL_KHR_debug`
      See Also:
        Constant Field Values

    - #### GL_DEBUG_SOURCE_APPLICATION

          static final int GL_DEBUG_SOURCE_APPLICATION

      Part of `GL_VERSION_4_3`, `GL_KHR_debug`; `GL_ARB_debug_output`; `GL_KHR_debug`
      See Also:
        Constant Field Values

    - #### GL_DEBUG_SOURCE_OTHER

          static final int GL_DEBUG_SOURCE_OTHER

      Part of `GL_VERSION_4_3`, `GL_KHR_debug`; `GL_ARB_debug_output`; `GL_KHR_debug`
      See Also:
        Constant Field Values

    - #### GL_DEBUG_TYPE_ERROR

          static final int GL_DEBUG_TYPE_ERROR

      Part of `GL_VERSION_4_3`, `GL_KHR_debug`; `GL_ARB_debug_output`; `GL_KHR_debug`
      See Also:
        Constant Field Values

    - #### GL_DEBUG_TYPE_DEPRECATED_BEHAVIOR

          static final int GL_DEBUG_TYPE_DEPRECATED_BEHAVIOR

      Part of `GL_VERSION_4_3`, `GL_KHR_debug`; `GL_ARB_debug_output`; `GL_KHR_debug`
      See Also:
        Constant Field Values

    - #### GL_DEBUG_TYPE_UNDEFINED_BEHAVIOR

          static final int GL_DEBUG_TYPE_UNDEFINED_BEHAVIOR

      Part of `GL_VERSION_4_3`, `GL_KHR_debug`; `GL_ARB_debug_output`; `GL_KHR_debug`
      See Also:
        Constant Field Values

    - #### GL_DEBUG_TYPE_PORTABILITY

          static final int GL_DEBUG_TYPE_PORTABILITY

      Part of `GL_VERSION_4_3`, `GL_KHR_debug`; `GL_ARB_debug_output`; `GL_KHR_debug`
      See Also:
        Constant Field Values

    - #### GL_DEBUG_TYPE_PERFORMANCE

          static final int GL_DEBUG_TYPE_PERFORMANCE

      Part of `GL_VERSION_4_3`, `GL_KHR_debug`; `GL_ARB_debug_output`; `GL_KHR_debug`
      See Also:
        Constant Field Values

    - #### GL_DEBUG_TYPE_OTHER

          static final int GL_DEBUG_TYPE_OTHER

      Part of `GL_VERSION_4_3`, `GL_KHR_debug`; `GL_ARB_debug_output`; `GL_KHR_debug`
      See Also:
        Constant Field Values

    - #### GL_DEBUG_TYPE_MARKER

          static final int GL_DEBUG_TYPE_MARKER

      Part of `GL_VERSION_4_3`, `GL_KHR_debug`; `GL_KHR_debug`
      See Also:
        Constant Field Values

    - #### GL_DEBUG_TYPE_PUSH_GROUP

          static final int GL_DEBUG_TYPE_PUSH_GROUP

      Part of `GL_VERSION_4_3`, `GL_KHR_debug`; `GL_KHR_debug`
      See Also:
        Constant Field Values

    - #### GL_DEBUG_TYPE_POP_GROUP

          static final int GL_DEBUG_TYPE_POP_GROUP

      Part of `GL_VERSION_4_3`, `GL_KHR_debug`; `GL_KHR_debug`
      See Also:
        Constant Field Values

    - #### GL_DEBUG_SEVERITY_NOTIFICATION

          static final int GL_DEBUG_SEVERITY_NOTIFICATION

      Part of `GL_VERSION_4_3`, `GL_KHR_debug`; `GL_KHR_debug`
      See Also:
        Constant Field Values

    - #### GL_MAX_DEBUG_GROUP_STACK_DEPTH

          static final int GL_MAX_DEBUG_GROUP_STACK_DEPTH

      Part of `GL_VERSION_4_3`, `GL_KHR_debug`; `GL_KHR_debug`
      See Also:
        Constant Field Values

    - #### GL_DEBUG_GROUP_STACK_DEPTH

          static final int GL_DEBUG_GROUP_STACK_DEPTH

      Part of `GL_VERSION_4_3`, `GL_KHR_debug`; `GL_KHR_debug`
      See Also:
        Constant Field Values

    - #### GL_BUFFER

          static final int GL_BUFFER

      Part of `GL_VERSION_4_3`, `GL_KHR_debug`; `GL_KHR_debug`
      See Also:
        Constant Field Values

    - #### GL_SHADER

          static final int GL_SHADER

      Part of `GL_VERSION_4_3`, `GL_KHR_debug`; `GL_KHR_debug`
      See Also:
        Constant Field Values

    - #### GL_PROGRAM

          static final int GL_PROGRAM

      Part of `GL_VERSION_4_3`, `GL_KHR_debug`; `GL_KHR_debug`
      See Also:
        Constant Field Values

    - #### GL_QUERY

          static final int GL_QUERY

      Part of `GL_VERSION_4_3`, `GL_KHR_debug`; `GL_KHR_debug`
      See Also:
        Constant Field Values

    - #### GL_SAMPLER

          static final int GL_SAMPLER

      Part of `GL_VERSION_4_3`, `GL_KHR_debug`; `GL_KHR_debug`
      See Also:
        Constant Field Values

    - #### GL_MAX_LABEL_LENGTH

          static final int GL_MAX_LABEL_LENGTH

      Part of `GL_VERSION_4_3`, `GL_KHR_debug`; `GL_KHR_debug`
      See Also:
        Constant Field Values

    - #### GL_MAX_DEBUG_MESSAGE_LENGTH

          static final int GL_MAX_DEBUG_MESSAGE_LENGTH

      Part of `GL_VERSION_4_3`, `GL_KHR_debug`; `GL_ARB_debug_output`; `GL_KHR_debug`
      See Also:
        Constant Field Values

    - #### GL_MAX_DEBUG_LOGGED_MESSAGES

          static final int GL_MAX_DEBUG_LOGGED_MESSAGES

      Part of `GL_VERSION_4_3`, `GL_KHR_debug`; `GL_ARB_debug_output`; `GL_KHR_debug`
      See Also:
        Constant Field Values

    - #### GL_DEBUG_LOGGED_MESSAGES

          static final int GL_DEBUG_LOGGED_MESSAGES

      Part of `GL_VERSION_4_3`, `GL_KHR_debug`; `GL_ARB_debug_output`; `GL_KHR_debug`
      See Also:
        Constant Field Values

    - #### GL_DEBUG_SEVERITY_HIGH

          static final int GL_DEBUG_SEVERITY_HIGH

      Part of `GL_VERSION_4_3`, `GL_KHR_debug`; `GL_ARB_debug_output`; `GL_KHR_debug`
      See Also:
        Constant Field Values

    - #### GL_DEBUG_SEVERITY_MEDIUM

          static final int GL_DEBUG_SEVERITY_MEDIUM

      Part of `GL_VERSION_4_3`, `GL_KHR_debug`; `GL_ARB_debug_output`; `GL_KHR_debug`
      See Also:
        Constant Field Values

    - #### GL_DEBUG_SEVERITY_LOW

          static final int GL_DEBUG_SEVERITY_LOW

      Part of `GL_VERSION_4_3`, `GL_KHR_debug`; `GL_ARB_debug_output`; `GL_KHR_debug`
      See Also:
        Constant Field Values

    - #### GL_DEBUG_OUTPUT

          static final int GL_DEBUG_OUTPUT

      Part of `GL_VERSION_4_3`, `GL_KHR_debug`; `GL_KHR_debug`
      See Also:
        Constant Field Values

    - #### GL_CONTEXT_FLAG_DEBUG_BIT

          static final int GL_CONTEXT_FLAG_DEBUG_BIT

      Part of `GL_VERSION_4_3`, `GL_KHR_debug`; `GL_KHR_debug`
      See Also:
        Constant Field Values

    - #### GL_STACK_OVERFLOW

          static final int GL_STACK_OVERFLOW

      Part of `GL_VERSION_1_1`, `GL_VERSION_1_0`, `GL_VERSION_ES_1_0`; `GL_KHR_debug`
      See Also:
        Constant Field Values

    - #### GL_STACK_UNDERFLOW

          static final int GL_STACK_UNDERFLOW

      Part of `GL_VERSION_1_1`, `GL_VERSION_1_0`, `GL_VERSION_ES_1_0`; `GL_KHR_debug`
      See Also:
        Constant Field Values

    - #### GL_RG16F

          static final int GL_RG16F

      Part of `GL_ES_VERSION_3_0`, `GL_VERSION_3_0`, `GL_ARB_texture_rg`; `GL_EXT_texture_storage`, `GL_EXT_color_buffer_half_float`
      See Also:
        Constant Field Values

    - #### GL_R16F

          static final int GL_R16F

      Part of `GL_ES_VERSION_3_0`, `GL_VERSION_3_0`, `GL_ARB_texture_rg`; `GL_EXT_texture_storage`, `GL_EXT_color_buffer_half_float`
      See Also:
        Constant Field Values

    - #### GL_FRAMEBUFFER_ATTACHMENT_COMPONENT_TYPE

          static final int GL_FRAMEBUFFER_ATTACHMENT_COMPONENT_TYPE

      Part of `GL_ARB_framebuffer_object`, `GL_ES_VERSION_3_0`, `GL_VERSION_3_0`; `GL_EXT_color_buffer_half_float`
      See Also:
        Constant Field Values

    - #### GL_UNSIGNED_NORMALIZED

          static final int GL_UNSIGNED_NORMALIZED

      Part of `GL_ARB_framebuffer_object`, `GL_ES_VERSION_3_0`, `GL_VERSION_3_0`; `GL_ARB_texture_float`; `GL_EXT_color_buffer_half_float`
      See Also:
        Constant Field Values

    - #### GL_CURRENT_QUERY

          static final int GL_CURRENT_QUERY

      Part of `GL_ES_VERSION_3_0`, `GL_VERSION_1_5`; `GL_EXT_occlusion_query_boolean`, `GL_EXT_disjoint_timer_query`
      See Also:
        Constant Field Values

    - #### GL_QUERY_RESULT

          static final int GL_QUERY_RESULT

      Part of `GL_ES_VERSION_3_0`, `GL_VERSION_1_5`; `GL_EXT_occlusion_query_boolean`, `GL_EXT_disjoint_timer_query`
      See Also:
        Constant Field Values

    - #### GL_QUERY_RESULT_AVAILABLE

          static final int GL_QUERY_RESULT_AVAILABLE

      Part of `GL_ES_VERSION_3_0`, `GL_VERSION_1_5`; `GL_EXT_occlusion_query_boolean`, `GL_EXT_disjoint_timer_query`
      See Also:
        Constant Field Values

    - #### GL_MAX_COLOR_ATTACHMENTS

          static final int GL_MAX_COLOR_ATTACHMENTS

      Part of `GL_ARB_framebuffer_object`, `GL_ES_VERSION_3_0`, `GL_VERSION_3_0`; `GL_NV_fbo_color_attachments`; `GL_EXT_framebuffer_object`, `GL_EXT_draw_buffers`
      See Also:
        Constant Field Values

    - #### GL_MAX_DRAW_BUFFERS

          static final int GL_MAX_DRAW_BUFFERS

      Part of `GL_ES_VERSION_3_0`, `GL_VERSION_2_0`; `GL_NV_draw_buffers`; `GL_EXT_draw_buffers`
      See Also:
        Constant Field Values

    - #### GL_DRAW_BUFFER0

          static final int GL_DRAW_BUFFER0

      Part of `GL_ES_VERSION_3_0`, `GL_VERSION_2_0`; `GL_NV_draw_buffers`; `GL_EXT_draw_buffers`
      See Also:
        Constant Field Values

    - #### GL_DRAW_BUFFER1

          static final int GL_DRAW_BUFFER1

      Part of `GL_ES_VERSION_3_0`, `GL_VERSION_2_0`; `GL_NV_draw_buffers`; `GL_EXT_draw_buffers`
      See Also:
        Constant Field Values

    - #### GL_DRAW_BUFFER2

          static final int GL_DRAW_BUFFER2

      Part of `GL_ES_VERSION_3_0`, `GL_VERSION_2_0`; `GL_NV_draw_buffers`; `GL_EXT_draw_buffers`
      See Also:
        Constant Field Values

    - #### GL_DRAW_BUFFER3

          static final int GL_DRAW_BUFFER3

      Part of `GL_ES_VERSION_3_0`, `GL_VERSION_2_0`; `GL_NV_draw_buffers`; `GL_EXT_draw_buffers`
      See Also:
        Constant Field Values

    - #### GL_DRAW_BUFFER4

          static final int GL_DRAW_BUFFER4

      Part of `GL_ES_VERSION_3_0`, `GL_VERSION_2_0`; `GL_NV_draw_buffers`; `GL_EXT_draw_buffers`
      See Also:
        Constant Field Values

    - #### GL_DRAW_BUFFER5

          static final int GL_DRAW_BUFFER5

      Part of `GL_ES_VERSION_3_0`, `GL_VERSION_2_0`; `GL_NV_draw_buffers`; `GL_EXT_draw_buffers`
      See Also:
        Constant Field Values

    - #### GL_DRAW_BUFFER6

          static final int GL_DRAW_BUFFER6

      Part of `GL_ES_VERSION_3_0`, `GL_VERSION_2_0`; `GL_NV_draw_buffers`; `GL_EXT_draw_buffers`
      See Also:
        Constant Field Values

    - #### GL_DRAW_BUFFER7

          static final int GL_DRAW_BUFFER7

      Part of `GL_ES_VERSION_3_0`, `GL_VERSION_2_0`; `GL_NV_draw_buffers`; `GL_EXT_draw_buffers`
      See Also:
        Constant Field Values

    - #### GL_DRAW_BUFFER8

          static final int GL_DRAW_BUFFER8

      Part of `GL_ES_VERSION_3_0`, `GL_VERSION_2_0`; `GL_NV_draw_buffers`; `GL_EXT_draw_buffers`
      See Also:
        Constant Field Values

    - #### GL_DRAW_BUFFER9

          static final int GL_DRAW_BUFFER9

      Part of `GL_ES_VERSION_3_0`, `GL_VERSION_2_0`; `GL_NV_draw_buffers`; `GL_EXT_draw_buffers`
      See Also:
        Constant Field Values

    - #### GL_DRAW_BUFFER10

          static final int GL_DRAW_BUFFER10

      Part of `GL_ES_VERSION_3_0`, `GL_VERSION_2_0`; `GL_NV_draw_buffers`; `GL_EXT_draw_buffers`
      See Also:
        Constant Field Values

    - #### GL_DRAW_BUFFER11

          static final int GL_DRAW_BUFFER11

      Part of `GL_ES_VERSION_3_0`, `GL_VERSION_2_0`; `GL_NV_draw_buffers`; `GL_EXT_draw_buffers`
      See Also:
        Constant Field Values

    - #### GL_DRAW_BUFFER12

          static final int GL_DRAW_BUFFER12

      Part of `GL_ES_VERSION_3_0`, `GL_VERSION_2_0`; `GL_NV_draw_buffers`; `GL_EXT_draw_buffers`
      See Also:
        Constant Field Values

    - #### GL_DRAW_BUFFER13

          static final int GL_DRAW_BUFFER13

      Part of `GL_ES_VERSION_3_0`, `GL_VERSION_2_0`; `GL_NV_draw_buffers`; `GL_EXT_draw_buffers`
      See Also:
        Constant Field Values

    - #### GL_DRAW_BUFFER14

          static final int GL_DRAW_BUFFER14

      Part of `GL_ES_VERSION_3_0`, `GL_VERSION_2_0`; `GL_NV_draw_buffers`; `GL_EXT_draw_buffers`
      See Also:
        Constant Field Values

    - #### GL_DRAW_BUFFER15

          static final int GL_DRAW_BUFFER15

      Part of `GL_ES_VERSION_3_0`, `GL_VERSION_2_0`; `GL_NV_draw_buffers`; `GL_EXT_draw_buffers`
      See Also:
        Constant Field Values

    - #### GL_COLOR_ATTACHMENT1

          static final int GL_COLOR_ATTACHMENT1

      Part of `GL_ARB_framebuffer_object`, `GL_ES_VERSION_3_0`, `GL_VERSION_3_0`; `GL_NV_draw_buffers`; `GL_EXT_framebuffer_object`, `GL_EXT_draw_buffers`
      See Also:
        Constant Field Values

    - #### GL_COLOR_ATTACHMENT2

          static final int GL_COLOR_ATTACHMENT2

      Part of `GL_ARB_framebuffer_object`, `GL_ES_VERSION_3_0`, `GL_VERSION_3_0`; `GL_NV_draw_buffers`; `GL_EXT_framebuffer_object`, `GL_EXT_draw_buffers`
      See Also:
        Constant Field Values

    - #### GL_COLOR_ATTACHMENT3

          static final int GL_COLOR_ATTACHMENT3

      Part of `GL_ARB_framebuffer_object`, `GL_ES_VERSION_3_0`, `GL_VERSION_3_0`; `GL_NV_draw_buffers`; `GL_EXT_framebuffer_object`, `GL_EXT_draw_buffers`
      See Also:
        Constant Field Values

    - #### GL_COLOR_ATTACHMENT4

          static final int GL_COLOR_ATTACHMENT4

      Part of `GL_ARB_framebuffer_object`, `GL_ES_VERSION_3_0`, `GL_VERSION_3_0`; `GL_NV_draw_buffers`; `GL_EXT_framebuffer_object`, `GL_EXT_draw_buffers`
      See Also:
        Constant Field Values

    - #### GL_COLOR_ATTACHMENT5

          static final int GL_COLOR_ATTACHMENT5

      Part of `GL_ARB_framebuffer_object`, `GL_ES_VERSION_3_0`, `GL_VERSION_3_0`; `GL_NV_draw_buffers`; `GL_EXT_framebuffer_object`, `GL_EXT_draw_buffers`
      See Also:
        Constant Field Values

    - #### GL_COLOR_ATTACHMENT6

          static final int GL_COLOR_ATTACHMENT6

      Part of `GL_ARB_framebuffer_object`, `GL_ES_VERSION_3_0`, `GL_VERSION_3_0`; `GL_NV_draw_buffers`; `GL_EXT_framebuffer_object`, `GL_EXT_draw_buffers`
      See Also:
        Constant Field Values

    - #### GL_COLOR_ATTACHMENT7

          static final int GL_COLOR_ATTACHMENT7

      Part of `GL_ARB_framebuffer_object`, `GL_ES_VERSION_3_0`, `GL_VERSION_3_0`; `GL_NV_draw_buffers`; `GL_EXT_framebuffer_object`, `GL_EXT_draw_buffers`
      See Also:
        Constant Field Values

    - #### GL_COLOR_ATTACHMENT8

          static final int GL_COLOR_ATTACHMENT8

      Part of `GL_ARB_framebuffer_object`, `GL_ES_VERSION_3_0`, `GL_VERSION_3_0`; `GL_NV_draw_buffers`; `GL_EXT_framebuffer_object`, `GL_EXT_draw_buffers`
      See Also:
        Constant Field Values

    - #### GL_COLOR_ATTACHMENT9

          static final int GL_COLOR_ATTACHMENT9

      Part of `GL_ARB_framebuffer_object`, `GL_ES_VERSION_3_0`, `GL_VERSION_3_0`; `GL_NV_draw_buffers`; `GL_EXT_framebuffer_object`, `GL_EXT_draw_buffers`
      See Also:
        Constant Field Values

    - #### GL_COLOR_ATTACHMENT10

          static final int GL_COLOR_ATTACHMENT10

      Part of `GL_ARB_framebuffer_object`, `GL_ES_VERSION_3_0`, `GL_VERSION_3_0`; `GL_NV_draw_buffers`; `GL_EXT_framebuffer_object`, `GL_EXT_draw_buffers`
      See Also:
        Constant Field Values

    - #### GL_COLOR_ATTACHMENT11

          static final int GL_COLOR_ATTACHMENT11

      Part of `GL_ARB_framebuffer_object`, `GL_ES_VERSION_3_0`, `GL_VERSION_3_0`; `GL_NV_draw_buffers`; `GL_EXT_framebuffer_object`, `GL_EXT_draw_buffers`
      See Also:
        Constant Field Values

    - #### GL_COLOR_ATTACHMENT12

          static final int GL_COLOR_ATTACHMENT12

      Part of `GL_ARB_framebuffer_object`, `GL_ES_VERSION_3_0`, `GL_VERSION_3_0`; `GL_NV_draw_buffers`; `GL_EXT_framebuffer_object`, `GL_EXT_draw_buffers`
      See Also:
        Constant Field Values

    - #### GL_COLOR_ATTACHMENT13

          static final int GL_COLOR_ATTACHMENT13

      Part of `GL_ARB_framebuffer_object`, `GL_ES_VERSION_3_0`, `GL_VERSION_3_0`; `GL_NV_draw_buffers`; `GL_EXT_framebuffer_object`, `GL_EXT_draw_buffers`
      See Also:
        Constant Field Values

    - #### GL_COLOR_ATTACHMENT14

          static final int GL_COLOR_ATTACHMENT14

      Part of `GL_ARB_framebuffer_object`, `GL_ES_VERSION_3_0`, `GL_VERSION_3_0`; `GL_NV_draw_buffers`; `GL_EXT_framebuffer_object`, `GL_EXT_draw_buffers`
      See Also:
        Constant Field Values

    - #### GL_COLOR_ATTACHMENT15

          static final int GL_COLOR_ATTACHMENT15

      Part of `GL_ARB_framebuffer_object`, `GL_ES_VERSION_3_0`, `GL_VERSION_3_0`; `GL_NV_draw_buffers`; `GL_EXT_framebuffer_object`, `GL_EXT_draw_buffers`
      See Also:
        Constant Field Values

    - #### GL_ANY_SAMPLES_PASSED

          static final int GL_ANY_SAMPLES_PASSED

      Part of `GL_ARB_occlusion_query2`, `GL_ES_VERSION_3_0`, `GL_VERSION_3_3`; `GL_EXT_occlusion_query_boolean`
      See Also:
        Constant Field Values

    - #### GL_ANY_SAMPLES_PASSED_CONSERVATIVE

          static final int GL_ANY_SAMPLES_PASSED_CONSERVATIVE

      Part of `GL_ES_VERSION_3_0`, `GL_VERSION_4_3`, `GL_ARB_ES3_compatibility`; `GL_EXT_occlusion_query_boolean`
      See Also:
        Constant Field Values

    - #### GL_CONTEXT_ROBUST_ACCESS

          static final int GL_CONTEXT_ROBUST_ACCESS

      Part of `GL_EXT_robustness`
      See Also:
        Constant Field Values

    - #### GL_VERTEX_SHADER_BIT

          static final int GL_VERTEX_SHADER_BIT

      Part of `GL_VERSION_4_1`, `GL_ARB_separate_shader_objects`; `GL_EXT_separate_shader_objects`
      See Also:
        Constant Field Values

    - #### GL_FRAGMENT_SHADER_BIT

          static final int GL_FRAGMENT_SHADER_BIT

      Part of `GL_VERSION_4_1`, `GL_ARB_separate_shader_objects`; `GL_EXT_separate_shader_objects`
      See Also:
        Constant Field Values

    - #### GL_PROGRAM_SEPARABLE

          static final int GL_PROGRAM_SEPARABLE

      Part of `GL_VERSION_4_1`, `GL_ARB_separate_shader_objects`; `GL_EXT_separate_shader_objects`
      See Also:
        Constant Field Values

    - #### GL_ACTIVE_PROGRAM

          static final int GL_ACTIVE_PROGRAM

      Part of `GL_VERSION_4_1`, `GL_ARB_separate_shader_objects`; `GL_EXT_separate_shader_objects`
      See Also:
        Constant Field Values

    - #### GL_PROGRAM_PIPELINE_BINDING

          static final int GL_PROGRAM_PIPELINE_BINDING

      Part of `GL_VERSION_4_1`, `GL_ARB_separate_shader_objects`; `GL_EXT_separate_shader_objects`
      See Also:
        Constant Field Values

    - #### GL_TEXTURE_COMPARE_MODE

          static final int GL_TEXTURE_COMPARE_MODE

      Part of `GL_ES_VERSION_3_0`, `GL_VERSION_1_4`; `GL_EXT_shadow_samplers`
      See Also:
        Constant Field Values

    - #### GL_TEXTURE_COMPARE_FUNC

          static final int GL_TEXTURE_COMPARE_FUNC

      Part of `GL_ES_VERSION_3_0`, `GL_VERSION_1_4`; `GL_EXT_shadow_samplers`
      See Also:
        Constant Field Values

    - #### GL_COMPARE_REF_TO_TEXTURE

          static final int GL_COMPARE_REF_TO_TEXTURE

      Part of `GL_ES_VERSION_3_0`, `GL_VERSION_3_0`; `GL_EXT_shadow_samplers`
      See Also:
        Constant Field Values

    - #### GL_SAMPLER_2D_SHADOW

          static final int GL_SAMPLER_2D_SHADOW

      Part of `GL_ES_VERSION_3_0`, `GL_VERSION_2_0`; `GL_EXT_shadow_samplers`
      See Also:
        Constant Field Values

    - #### GL_FRAMEBUFFER_ATTACHMENT_COLOR_ENCODING

          static final int GL_FRAMEBUFFER_ATTACHMENT_COLOR_ENCODING

      Part of `GL_ARB_framebuffer_object`, `GL_ES_VERSION_3_0`, `GL_VERSION_3_0`; `GL_EXT_sRGB`
      See Also:
        Constant Field Values

    - #### GL_RED

          static final int GL_RED

      Part of `GL_VERSION_1_1`, `GL_ES_VERSION_3_0`, `GL_VERSION_1_0`; `GL_EXT_texture_rg`
      See Also:
        Constant Field Values

    - #### GL_RG

          static final int GL_RG

      Part of `GL_ES_VERSION_3_0`, `GL_VERSION_3_0`, `GL_ARB_texture_rg`; `GL_EXT_texture_rg`
      See Also:
        Constant Field Values

    - #### GL_R8

          static final int GL_R8

      Part of `GL_ES_VERSION_3_0`, `GL_VERSION_3_0`, `GL_ARB_texture_rg`; `GL_EXT_texture_rg`, `GL_EXT_texture_storage`
      See Also:
        Constant Field Values

    - #### GL_RG8

          static final int GL_RG8

      Part of `GL_ES_VERSION_3_0`, `GL_VERSION_3_0`, `GL_ARB_texture_rg`; `GL_EXT_texture_rg`, `GL_EXT_texture_storage`
      See Also:
        Constant Field Values

    - #### GL_R32F

          static final int GL_R32F

      Part of `GL_ES_VERSION_3_0`, `GL_VERSION_3_0`, `GL_ARB_texture_rg`; `GL_EXT_texture_storage`
      See Also:
        Constant Field Values

    - #### GL_RG32F

          static final int GL_RG32F

      Part of `GL_ES_VERSION_3_0`, `GL_VERSION_3_0`, `GL_ARB_texture_rg`; `GL_EXT_texture_storage`
      See Also:
        Constant Field Values

    - #### GL_UNSIGNED_INT_2_10_10_10_REV

          static final int GL_UNSIGNED_INT_2_10_10_10_REV

      Part of `GL_VERSION_1_2`, `GL_ES_VERSION_3_0`; `GL_EXT_texture_type_2_10_10_10_REV`
      See Also:
        Constant Field Values

    - #### GL_UNPACK_ROW_LENGTH

          static final int GL_UNPACK_ROW_LENGTH

      Part of `GL_VERSION_1_1`, `GL_ES_VERSION_3_0`, `GL_VERSION_1_0`; `GL_EXT_unpack_subimage`
      See Also:
        Constant Field Values

    - #### GL_UNPACK_SKIP_ROWS

          static final int GL_UNPACK_SKIP_ROWS

      Part of `GL_VERSION_1_1`, `GL_ES_VERSION_3_0`, `GL_VERSION_1_0`; `GL_EXT_unpack_subimage`
      See Also:
        Constant Field Values

    - #### GL_UNPACK_SKIP_PIXELS

          static final int GL_UNPACK_SKIP_PIXELS

      Part of `GL_VERSION_1_1`, `GL_ES_VERSION_3_0`, `GL_VERSION_1_0`; `GL_EXT_unpack_subimage`
      See Also:
        Constant Field Values

    - #### GL_SHADER_BINARY_DMP

          static final int GL_SHADER_BINARY_DMP

      Part of `GL_DMP_shader_binary`
      See Also:
        Constant Field Values

    - #### GL_ALL_SHADER_BITS

          static final int GL_ALL_SHADER_BITS

      Part of `GL_ARB_separate_shader_objects`, `GL_EXT_separate_shader_objects`
      See Also:
        Constant Field Values

    - #### GL_DEPTH_COMPONENT

          static final int GL_DEPTH_COMPONENT

      Part of `GL_VERSION_1_0`, `GL_ES_VERSION_2_0`, `GL_ANGLE_depth_texture`
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### glAttachShader

          void glAttachShader(int program,
                            int shader)

      Entry point to C language function: `void glAttachShader(GLuint program, GLuint shader)`
      Part of `GL_ES_VERSION_2_0`, `GL_VERSION_2_0`

    - #### glBeginQuery

          void glBeginQuery(int target,
                          int id)

      Entry point to C language function: `void glBeginQuery(GLenum target, GLuint id)`
      Part of `GL_ES_VERSION_3_0`, `GL_VERSION_1_5`; `GL_EXT_occlusion_query_boolean`, `GL_EXT_disjoint_timer_query`

    - #### glBindAttribLocation

          void glBindAttribLocation(int program,
                                  int index,
                                  String name)

      Entry point to C language function: `void glBindAttribLocation(GLuint program, GLuint index, const GLchar * name)`
      Part of `GL_ES_VERSION_2_0`, `GL_VERSION_2_0`

    - #### glBlendColor

          void glBlendColor(float red,
                          float green,
                          float blue,
                          float alpha)

      Entry point to C language function: `void glBlendColor(GLclampf red, GLclampf green, GLclampf blue, GLclampf alpha)`
      Part of `GL_VERSION_1_2`, `GL_ES_VERSION_2_0`

    - #### glCompileShader

          void glCompileShader(int shader)

      Entry point to C language function: `void glCompileShader(GLuint shader)`
      Part of `GL_ES_VERSION_2_0`, `GL_VERSION_2_0`

    - #### glCompressedTexImage3D

          void glCompressedTexImage3D(int target,
                                    int level,
                                    int internalformat,
                                    int width,
                                    int height,
                                    int depth,
                                    int border,
                                    int imageSize,
                                    Buffer data)

      Entry point to C language function: `void glCompressedTexImage3D(GLenum target, GLint level, GLenum internalformat, GLsizei width, GLsizei height, GLsizei depth, GLint border, GLsizei imageSize, const GLvoid * data)`
      Part of `GL_ES_VERSION_3_0`, `GL_VERSION_1_3`; `GL_OES_texture_3D`
      Parameters:
        `data` - a direct or array-backed `Buffer`

    - #### glCompressedTexImage3D

          void glCompressedTexImage3D(int target,
                                    int level,
                                    int internalformat,
                                    int width,
                                    int height,
                                    int depth,
                                    int border,
                                    int imageSize,
                                    long data_buffer_offset)

      Entry point to C language function: `void glCompressedTexImage3D(GLenum target, GLint level, GLenum internalformat, GLsizei width, GLsizei height, GLsizei depth, GLint border, GLsizei imageSize, const GLvoid * data)`
      Part of `GL_ES_VERSION_3_0`, `GL_VERSION_1_3`; `GL_OES_texture_3D`

    - #### glCompressedTexSubImage3D

          void glCompressedTexSubImage3D(int target,
                                       int level,
                                       int xoffset,
                                       int yoffset,
                                       int zoffset,
                                       int width,
                                       int height,
                                       int depth,
                                       int format,
                                       int imageSize,
                                       Buffer data)

      Entry point to C language function: `void glCompressedTexSubImage3D(GLenum target, GLint level, GLint xoffset, GLint yoffset, GLint zoffset, GLsizei width, GLsizei height, GLsizei depth, GLenum format, GLsizei imageSize, const GLvoid * data)`
      Part of `GL_ES_VERSION_3_0`, `GL_VERSION_1_3`; `GL_OES_texture_3D`
      Parameters:
        `data` - a direct or array-backed `Buffer`

    - #### glCompressedTexSubImage3D

          void glCompressedTexSubImage3D(int target,
                                       int level,
                                       int xoffset,
                                       int yoffset,
                                       int zoffset,
                                       int width,
                                       int height,
                                       int depth,
                                       int format,
                                       int imageSize,
                                       long data_buffer_offset)

      Entry point to C language function: `void glCompressedTexSubImage3D(GLenum target, GLint level, GLint xoffset, GLint yoffset, GLint zoffset, GLsizei width, GLsizei height, GLsizei depth, GLenum format, GLsizei imageSize, const GLvoid * data)`
      Part of `GL_ES_VERSION_3_0`, `GL_VERSION_1_3`; `GL_OES_texture_3D`

    - #### glCopyTexSubImage3D

          void glCopyTexSubImage3D(int target,
                                 int level,
                                 int xoffset,
                                 int yoffset,
                                 int zoffset,
                                 int x,
                                 int y,
                                 int width,
                                 int height)

      Entry point to C language function: `void glCopyTexSubImage3D(GLenum target, GLint level, GLint xoffset, GLint yoffset, GLint zoffset, GLint x, GLint y, GLsizei width, GLsizei height)`
      Part of `GL_VERSION_1_2`, `GL_ES_VERSION_3_0`; `GL_OES_texture_3D`

    - #### glCreateProgram

          int glCreateProgram()

      Entry point to C language function: `GLuint glCreateProgram(void)`
      Part of `GL_ES_VERSION_2_0`, `GL_VERSION_2_0`

    - #### glCreateShader

          int glCreateShader(int type)

      Entry point to C language function: `GLuint glCreateShader(GLenum type)`
      Part of `GL_ES_VERSION_2_0`, `GL_VERSION_2_0`

    - #### glDebugMessageControl

          void glDebugMessageControl(int source,
                                   int type,
                                   int severity,
                                   int count,
                                   IntBuffer ids,
                                   boolean enabled)

      Entry point to C language function: `void glDebugMessageControl(GLenum source, GLenum type, GLenum severity, GLsizei count, const GLuint * ids, GLboolean enabled)`
      Part of `GL_VERSION_4_3`, `GL_KHR_debug`; `GL_ARB_debug_output`; `GL_KHR_debug`
      Parameters:
        `ids` - a direct or array-backed `IntBuffer`

    - #### glDebugMessageControl

          void glDebugMessageControl(int source,
                                   int type,
                                   int severity,
                                   int count,
                                   int[] ids,
                                   int ids_offset,
                                   boolean enabled)

      Entry point to C language function: `void glDebugMessageControl(GLenum source, GLenum type, GLenum severity, GLsizei count, const GLuint * ids, GLboolean enabled)`
      Part of `GL_VERSION_4_3`, `GL_KHR_debug`; `GL_ARB_debug_output`; `GL_KHR_debug`

    - #### glDebugMessageInsert

          void glDebugMessageInsert(int source,
                                  int type,
                                  int id,
                                  int severity,
                                  int length,
                                  String buf)

      Entry point to C language function: `void glDebugMessageInsert(GLenum source, GLenum type, GLuint id, GLenum severity, GLsizei length, const GLchar * buf)`
      Part of `GL_VERSION_4_3`, `GL_KHR_debug`; `GL_ARB_debug_output`; `GL_KHR_debug`

    - #### glDeleteProgram

          void glDeleteProgram(int program)

      Entry point to C language function: `void glDeleteProgram(GLuint program)`
      Part of `GL_ES_VERSION_2_0`, `GL_VERSION_2_0`

    - #### glDeleteQueries

          void glDeleteQueries(int n,
                             IntBuffer ids)

      Entry point to C language function: `void glDeleteQueries(GLsizei n, const GLuint * ids)`
      Part of `GL_ES_VERSION_3_0`, `GL_VERSION_1_5`; `GL_EXT_occlusion_query_boolean`, `GL_EXT_disjoint_timer_query`
      Parameters:
        `ids` - a direct or array-backed `IntBuffer`

    - #### glDeleteQueries

          void glDeleteQueries(int n,
                             int[] ids,
                             int ids_offset)

      Entry point to C language function: `void glDeleteQueries(GLsizei n, const GLuint * ids)`
      Part of `GL_ES_VERSION_3_0`, `GL_VERSION_1_5`; `GL_EXT_occlusion_query_boolean`, `GL_EXT_disjoint_timer_query`

    - #### glDeleteShader

          void glDeleteShader(int shader)

      Entry point to C language function: `void glDeleteShader(GLuint shader)`
      Part of `GL_ES_VERSION_2_0`, `GL_VERSION_2_0`

    - #### glDetachShader

          void glDetachShader(int program,
                            int shader)

      Entry point to C language function: `void glDetachShader(GLuint program, GLuint shader)`
      Part of `GL_ES_VERSION_2_0`, `GL_VERSION_2_0`

    - #### glDisableVertexAttribArray

          void glDisableVertexAttribArray(int index)

      Entry point to C language function: `void glDisableVertexAttribArray(GLuint index)`
      Part of `GL_ES_VERSION_2_0`, `GL_VERSION_2_0`

    - #### glEnableVertexAttribArray

          void glEnableVertexAttribArray(int index)

      Entry point to C language function: `void glEnableVertexAttribArray(GLuint index)`
      Part of `GL_ES_VERSION_2_0`, `GL_VERSION_2_0`

    - #### glEndQuery

          void glEndQuery(int target)

      Entry point to C language function: `void glEndQuery(GLenum target)`
      Part of `GL_ES_VERSION_3_0`, `GL_VERSION_1_5`; `GL_EXT_occlusion_query_boolean`, `GL_EXT_disjoint_timer_query`

    - #### glFramebufferTexture3D

          void glFramebufferTexture3D(int target,
                                    int attachment,
                                    int textarget,
                                    int texture,
                                    int level,
                                    int zoffset)

      Entry point to C language function: `void glFramebufferTexture3D(GLenum target, GLenum attachment, GLenum textarget, GLuint texture, GLint level, GLint zoffset)`
      Part of `GL_ARB_framebuffer_object`, `GL_VERSION_3_0`; `GL_OES_texture_3D`

    - #### glGenQueries

          void glGenQueries(int n,
                          IntBuffer ids)

      Entry point to C language function: `void glGenQueries(GLsizei n, GLuint * ids)`
      Part of `GL_ES_VERSION_3_0`, `GL_VERSION_1_5`; `GL_EXT_occlusion_query_boolean`, `GL_EXT_disjoint_timer_query`
      Parameters:
        `ids` - a direct or array-backed `IntBuffer`

    - #### glGenQueries

          void glGenQueries(int n,
                          int[] ids,
                          int ids_offset)

      Entry point to C language function: `void glGenQueries(GLsizei n, GLuint * ids)`
      Part of `GL_ES_VERSION_3_0`, `GL_VERSION_1_5`; `GL_EXT_occlusion_query_boolean`, `GL_EXT_disjoint_timer_query`

    - #### glGetActiveAttrib

          void glGetActiveAttrib(int program,
                               int index,
                               int bufsize,
                               IntBuffer length,
                               IntBuffer size,
                               IntBuffer type,
                               ByteBuffer name)

      Entry point to C language function: `void glGetActiveAttrib(GLuint program, GLuint index, GLsizei bufsize, GLsizei * length, GLint * size, GLenum * type, GLchar * name)`
      Part of `GL_ES_VERSION_2_0`, `GL_VERSION_2_0`
      Parameters:
        `length` - a direct or array-backed `IntBuffer`
        `size` - a direct or array-backed `IntBuffer`
        `type` - a direct or array-backed `IntBuffer`
        `name` - a direct or array-backed `ByteBuffer`

    - #### glGetActiveAttrib

          void glGetActiveAttrib(int program,
                               int index,
                               int bufsize,
                               int[] length,
                               int length_offset,
                               int[] size,
                               int size_offset,
                               int[] type,
                               int type_offset,
                               byte[] name,
                               int name_offset)

      Entry point to C language function: `void glGetActiveAttrib(GLuint program, GLuint index, GLsizei bufsize, GLsizei * length, GLint * size, GLenum * type, GLchar * name)`
      Part of `GL_ES_VERSION_2_0`, `GL_VERSION_2_0`

    - #### glGetActiveUniform

          void glGetActiveUniform(int program,
                                int index,
                                int bufsize,
                                IntBuffer length,
                                IntBuffer size,
                                IntBuffer type,
                                ByteBuffer name)

      Entry point to C language function: `void glGetActiveUniform(GLuint program, GLuint index, GLsizei bufsize, GLsizei * length, GLint * size, GLenum * type, GLchar * name)`
      Part of `GL_ES_VERSION_2_0`, `GL_VERSION_2_0`
      Parameters:
        `length` - a direct or array-backed `IntBuffer`
        `size` - a direct or array-backed `IntBuffer`
        `type` - a direct or array-backed `IntBuffer`
        `name` - a direct or array-backed `ByteBuffer`

    - #### glGetActiveUniform

          void glGetActiveUniform(int program,
                                int index,
                                int bufsize,
                                int[] length,
                                int length_offset,
                                int[] size,
                                int size_offset,
                                int[] type,
                                int type_offset,
                                byte[] name,
                                int name_offset)

      Entry point to C language function: `void glGetActiveUniform(GLuint program, GLuint index, GLsizei bufsize, GLsizei * length, GLint * size, GLenum * type, GLchar * name)`
      Part of `GL_ES_VERSION_2_0`, `GL_VERSION_2_0`

    - #### glGetAttachedShaders

          void glGetAttachedShaders(int program,
                                  int maxcount,
                                  IntBuffer count,
                                  IntBuffer shaders)

      Entry point to C language function: `void glGetAttachedShaders(GLuint program, GLsizei maxcount, GLsizei * count, GLuint * shaders)`
      Part of `GL_ES_VERSION_2_0`, `GL_VERSION_2_0`
      Parameters:
        `count` - a direct or array-backed `IntBuffer`
        `shaders` - a direct or array-backed `IntBuffer`

    - #### glGetAttachedShaders

          void glGetAttachedShaders(int program,
                                  int maxcount,
                                  int[] count,
                                  int count_offset,
                                  int[] shaders,
                                  int shaders_offset)

      Entry point to C language function: `void glGetAttachedShaders(GLuint program, GLsizei maxcount, GLsizei * count, GLuint * shaders)`
      Part of `GL_ES_VERSION_2_0`, `GL_VERSION_2_0`

    - #### glGetAttribLocation

          int glGetAttribLocation(int program,
                                String name)

      Entry point to C language function: `GLint glGetAttribLocation(GLuint program, const GLchar * name)`
      Part of `GL_ES_VERSION_2_0`, `GL_VERSION_2_0`

    - #### glGetDebugMessageLog

          int glGetDebugMessageLog(int count,
                                 int bufsize,
                                 IntBuffer sources,
                                 IntBuffer types,
                                 IntBuffer ids,
                                 IntBuffer severities,
                                 IntBuffer lengths,
                                 ByteBuffer messageLog)

      Entry point to C language function: `GLuint glGetDebugMessageLog(GLuint count, GLsizei bufsize, GLenum * sources, GLenum * types, GLuint * ids, GLenum * severities, GLsizei * lengths, GLchar * messageLog)`
      Part of `GL_VERSION_4_3`, `GL_KHR_debug`; `GL_ARB_debug_output`; `GL_KHR_debug`
      Parameters:
        `sources` - a direct or array-backed `IntBuffer`
        `types` - a direct or array-backed `IntBuffer`
        `ids` - a direct or array-backed `IntBuffer`
        `severities` - a direct or array-backed `IntBuffer`
        `lengths` - a direct or array-backed `IntBuffer`
        `messageLog` - a direct or array-backed `ByteBuffer`

    - #### glGetDebugMessageLog

          int glGetDebugMessageLog(int count,
                                 int bufsize,
                                 int[] sources,
                                 int sources_offset,
                                 int[] types,
                                 int types_offset,
                                 int[] ids,
                                 int ids_offset,
                                 int[] severities,
                                 int severities_offset,
                                 int[] lengths,
                                 int lengths_offset,
                                 byte[] messageLog,
                                 int messageLog_offset)

      Entry point to C language function: `GLuint glGetDebugMessageLog(GLuint count, GLsizei bufsize, GLenum * sources, GLenum * types, GLuint * ids, GLenum * severities, GLsizei * lengths, GLchar * messageLog)`
      Part of `GL_VERSION_4_3`, `GL_KHR_debug`; `GL_ARB_debug_output`; `GL_KHR_debug`

    - #### glGetObjectLabel

          void glGetObjectLabel(int identifier,
                              int name,
                              int bufSize,
                              IntBuffer length,
                              ByteBuffer label)

      Entry point to C language function: `void glGetObjectLabel(GLenum identifier, GLuint name, GLsizei bufSize, GLsizei * length, GLchar * label)`
      Part of `GL_VERSION_4_3`, `GL_KHR_debug`; `GL_KHR_debug`
      Parameters:
        `length` - a direct or array-backed `IntBuffer`
        `label` - a direct or array-backed `ByteBuffer`

    - #### glGetObjectLabel

          void glGetObjectLabel(int identifier,
                              int name,
                              int bufSize,
                              int[] length,
                              int length_offset,
                              byte[] label,
                              int label_offset)

      Entry point to C language function: `void glGetObjectLabel(GLenum identifier, GLuint name, GLsizei bufSize, GLsizei * length, GLchar * label)`
      Part of `GL_VERSION_4_3`, `GL_KHR_debug`; `GL_KHR_debug`

    - #### glGetObjectPtrLabel

          void glGetObjectPtrLabel(Buffer ptr,
                                 int bufSize,
                                 IntBuffer length,
                                 ByteBuffer label)

      Entry point to C language function: `void glGetObjectPtrLabel(const void * ptr, GLsizei bufSize, GLsizei * length, GLchar * label)`
      Part of `GL_VERSION_4_3`, `GL_KHR_debug`; `GL_KHR_debug`
      Parameters:
        `ptr` - a direct or array-backed `Buffer`
        `length` - a direct or array-backed `IntBuffer`
        `label` - a direct or array-backed `ByteBuffer`

    - #### glGetObjectPtrLabel

          void glGetObjectPtrLabel(Buffer ptr,
                                 int bufSize,
                                 int[] length,
                                 int length_offset,
                                 byte[] label,
                                 int label_offset)

      Entry point to C language function: `void glGetObjectPtrLabel(const void * ptr, GLsizei bufSize, GLsizei * length, GLchar * label)`
      Part of `GL_VERSION_4_3`, `GL_KHR_debug`; `GL_KHR_debug`
      Parameters:
        `ptr` - a direct or array-backed `Buffer`

    - #### glGetProgramBinary

          void glGetProgramBinary(int program,
                                int bufSize,
                                IntBuffer length,
                                IntBuffer binaryFormat,
                                Buffer binary)

      Entry point to C language function: `void glGetProgramBinary(GLuint program, GLsizei bufSize, GLsizei * length, GLenum * binaryFormat, GLvoid * binary)`
      Part of `GL_ES_VERSION_3_0`, `GL_VERSION_4_1`, `GL_ARB_get_program_binary`; `GL_OES_get_program_binary`
      Parameters:
        `length` - a direct or array-backed `IntBuffer`
        `binaryFormat` - a direct or array-backed `IntBuffer`
        `binary` - a direct or array-backed `Buffer`

    - #### glGetProgramBinary

          void glGetProgramBinary(int program,
                                int bufSize,
                                int[] length,
                                int length_offset,
                                int[] binaryFormat,
                                int binaryFormat_offset,
                                Buffer binary)

      Entry point to C language function: `void glGetProgramBinary(GLuint program, GLsizei bufSize, GLsizei * length, GLenum * binaryFormat, GLvoid * binary)`
      Part of `GL_ES_VERSION_3_0`, `GL_VERSION_4_1`, `GL_ARB_get_program_binary`; `GL_OES_get_program_binary`
      Parameters:
        `binary` - a direct or array-backed `Buffer`

    - #### glGetProgramInfoLog

          void glGetProgramInfoLog(int program,
                                 int bufsize,
                                 IntBuffer length,
                                 ByteBuffer infolog)

      Entry point to C language function: `void glGetProgramInfoLog(GLuint program, GLsizei bufsize, GLsizei * length, GLchar * infolog)`
      Part of `GL_ES_VERSION_2_0`, `GL_VERSION_2_0`
      Parameters:
        `length` - a direct or array-backed `IntBuffer`
        `infolog` - a direct or array-backed `ByteBuffer`

    - #### glGetProgramInfoLog

          void glGetProgramInfoLog(int program,
                                 int bufsize,
                                 int[] length,
                                 int length_offset,
                                 byte[] infolog,
                                 int infolog_offset)

      Entry point to C language function: `void glGetProgramInfoLog(GLuint program, GLsizei bufsize, GLsizei * length, GLchar * infolog)`
      Part of `GL_ES_VERSION_2_0`, `GL_VERSION_2_0`

    - #### glGetProgramiv

          void glGetProgramiv(int program,
                            int pname,
                            IntBuffer params)

      Entry point to C language function: `void glGetProgramiv(GLuint program, GLenum pname, GLint * params)`
      Part of `GL_ES_VERSION_2_0`, `GL_VERSION_2_0`
      Parameters:
        `params` - a direct or array-backed `IntBuffer`

    - #### glGetProgramiv

          void glGetProgramiv(int program,
                            int pname,
                            int[] params,
                            int params_offset)

      Entry point to C language function: `void glGetProgramiv(GLuint program, GLenum pname, GLint * params)`
      Part of `GL_ES_VERSION_2_0`, `GL_VERSION_2_0`

    - #### glGetQueryObjectuiv

          void glGetQueryObjectuiv(int id,
                                 int pname,
                                 IntBuffer params)

      Entry point to C language function: `void glGetQueryObjectuiv(GLuint id, GLenum pname, GLuint * params)`
      Part of `GL_ES_VERSION_3_0`, `GL_VERSION_1_5`; `GL_EXT_occlusion_query_boolean`, `GL_EXT_disjoint_timer_query`
      Parameters:
        `params` - a direct or array-backed `IntBuffer`

    - #### glGetQueryObjectuiv

          void glGetQueryObjectuiv(int id,
                                 int pname,
                                 int[] params,
                                 int params_offset)

      Entry point to C language function: `void glGetQueryObjectuiv(GLuint id, GLenum pname, GLuint * params)`
      Part of `GL_ES_VERSION_3_0`, `GL_VERSION_1_5`; `GL_EXT_occlusion_query_boolean`, `GL_EXT_disjoint_timer_query`

    - #### glGetQueryiv

          void glGetQueryiv(int target,
                          int pname,
                          IntBuffer params)

      Entry point to C language function: `void glGetQueryiv(GLenum target, GLenum pname, GLint * params)`
      Part of `GL_ES_VERSION_3_0`, `GL_VERSION_1_5`; `GL_EXT_occlusion_query_boolean`, `GL_EXT_disjoint_timer_query`
      Parameters:
        `params` - a direct or array-backed `IntBuffer`

    - #### glGetQueryiv

          void glGetQueryiv(int target,
                          int pname,
                          int[] params,
                          int params_offset)

      Entry point to C language function: `void glGetQueryiv(GLenum target, GLenum pname, GLint * params)`
      Part of `GL_ES_VERSION_3_0`, `GL_VERSION_1_5`; `GL_EXT_occlusion_query_boolean`, `GL_EXT_disjoint_timer_query`

    - #### glGetShaderInfoLog

          void glGetShaderInfoLog(int shader,
                                int bufsize,
                                IntBuffer length,
                                ByteBuffer infolog)

      Entry point to C language function: `void glGetShaderInfoLog(GLuint shader, GLsizei bufsize, GLsizei * length, GLchar * infolog)`
      Part of `GL_ES_VERSION_2_0`, `GL_VERSION_2_0`
      Parameters:
        `length` - a direct or array-backed `IntBuffer`
        `infolog` - a direct or array-backed `ByteBuffer`

    - #### glGetShaderInfoLog

          void glGetShaderInfoLog(int shader,
                                int bufsize,
                                int[] length,
                                int length_offset,
                                byte[] infolog,
                                int infolog_offset)

      Entry point to C language function: `void glGetShaderInfoLog(GLuint shader, GLsizei bufsize, GLsizei * length, GLchar * infolog)`
      Part of `GL_ES_VERSION_2_0`, `GL_VERSION_2_0`

    - #### glGetShaderSource

          void glGetShaderSource(int shader,
                               int bufsize,
                               IntBuffer length,
                               ByteBuffer source)

      Entry point to C language function: `void glGetShaderSource(GLuint shader, GLsizei bufsize, GLsizei * length, GLchar * source)`
      Part of `GL_ES_VERSION_2_0`, `GL_VERSION_2_0`
      Parameters:
        `length` - a direct or array-backed `IntBuffer`
        `source` - a direct or array-backed `ByteBuffer`

    - #### glGetShaderSource

          void glGetShaderSource(int shader,
                               int bufsize,
                               int[] length,
                               int length_offset,
                               byte[] source,
                               int source_offset)

      Entry point to C language function: `void glGetShaderSource(GLuint shader, GLsizei bufsize, GLsizei * length, GLchar * source)`
      Part of `GL_ES_VERSION_2_0`, `GL_VERSION_2_0`

    - #### glGetShaderiv

          void glGetShaderiv(int shader,
                           int pname,
                           IntBuffer params)

      Entry point to C language function: `void glGetShaderiv(GLuint shader, GLenum pname, GLint * params)`
      Part of `GL_ES_VERSION_2_0`, `GL_VERSION_2_0`
      Parameters:
        `params` - a direct or array-backed `IntBuffer`

    - #### glGetShaderiv

          void glGetShaderiv(int shader,
                           int pname,
                           int[] params,
                           int params_offset)

      Entry point to C language function: `void glGetShaderiv(GLuint shader, GLenum pname, GLint * params)`
      Part of `GL_ES_VERSION_2_0`, `GL_VERSION_2_0`

    - #### glGetUniformLocation

          int glGetUniformLocation(int program,
                                 String name)

      Entry point to C language function: `GLint glGetUniformLocation(GLuint program, const GLchar * name)`
      Part of `GL_ES_VERSION_2_0`, `GL_VERSION_2_0`

    - #### glGetUniformfv

          void glGetUniformfv(int program,
                            int location,
                            FloatBuffer params)

      Entry point to C language function: `void glGetUniformfv(GLuint program, GLint location, GLfloat * params)`
      Part of `GL_ES_VERSION_2_0`, `GL_VERSION_2_0`
      Parameters:
        `params` - a direct or array-backed `FloatBuffer`

    - #### glGetUniformfv

          void glGetUniformfv(int program,
                            int location,
                            float[] params,
                            int params_offset)

      Entry point to C language function: `void glGetUniformfv(GLuint program, GLint location, GLfloat * params)`
      Part of `GL_ES_VERSION_2_0`, `GL_VERSION_2_0`

    - #### glGetUniformiv

          void glGetUniformiv(int program,
                            int location,
                            IntBuffer params)

      Entry point to C language function: `void glGetUniformiv(GLuint program, GLint location, GLint * params)`
      Part of `GL_ES_VERSION_2_0`, `GL_VERSION_2_0`
      Parameters:
        `params` - a direct or array-backed `IntBuffer`

    - #### glGetUniformiv

          void glGetUniformiv(int program,
                            int location,
                            int[] params,
                            int params_offset)

      Entry point to C language function: `void glGetUniformiv(GLuint program, GLint location, GLint * params)`
      Part of `GL_ES_VERSION_2_0`, `GL_VERSION_2_0`

    - #### glGetVertexAttribfv

          void glGetVertexAttribfv(int index,
                                 int pname,
                                 FloatBuffer params)

      Entry point to C language function: `void glGetVertexAttribfv(GLuint index, GLenum pname, GLfloat * params)`
      Part of `GL_ES_VERSION_2_0`, `GL_VERSION_2_0`
      Parameters:
        `params` - a direct or array-backed `FloatBuffer`

    - #### glGetVertexAttribfv

          void glGetVertexAttribfv(int index,
                                 int pname,
                                 float[] params,
                                 int params_offset)

      Entry point to C language function: `void glGetVertexAttribfv(GLuint index, GLenum pname, GLfloat * params)`
      Part of `GL_ES_VERSION_2_0`, `GL_VERSION_2_0`

    - #### glGetVertexAttribiv

          void glGetVertexAttribiv(int index,
                                 int pname,
                                 IntBuffer params)

      Entry point to C language function: `void glGetVertexAttribiv(GLuint index, GLenum pname, GLint * params)`
      Part of `GL_ES_VERSION_2_0`, `GL_VERSION_2_0`
      Parameters:
        `params` - a direct or array-backed `IntBuffer`

    - #### glGetVertexAttribiv

          void glGetVertexAttribiv(int index,
                                 int pname,
                                 int[] params,
                                 int params_offset)

      Entry point to C language function: `void glGetVertexAttribiv(GLuint index, GLenum pname, GLint * params)`
      Part of `GL_ES_VERSION_2_0`, `GL_VERSION_2_0`

    - #### glIsProgram

          boolean glIsProgram(int program)

      Entry point to C language function: `GLboolean glIsProgram(GLuint program)`
      Part of `GL_ES_VERSION_2_0`, `GL_VERSION_2_0`

    - #### glIsQuery

          boolean glIsQuery(int id)

      Entry point to C language function: `GLboolean glIsQuery(GLuint id)`
      Part of `GL_ES_VERSION_3_0`, `GL_VERSION_1_5`; `GL_EXT_occlusion_query_boolean`, `GL_EXT_disjoint_timer_query`

    - #### glIsShader

          boolean glIsShader(int shader)

      Entry point to C language function: `GLboolean glIsShader(GLuint shader)`
      Part of `GL_ES_VERSION_2_0`, `GL_VERSION_2_0`

    - #### glLinkProgram

          void glLinkProgram(int program)

      Entry point to C language function: `void glLinkProgram(GLuint program)`
      Part of `GL_ES_VERSION_2_0`, `GL_VERSION_2_0`

    - #### glObjectLabel

          void glObjectLabel(int identifier,
                           int name,
                           int length,
                           ByteBuffer label)

      Entry point to C language function: `void glObjectLabel(GLenum identifier, GLuint name, GLsizei length, const GLchar * label)`
      Part of `GL_VERSION_4_3`, `GL_KHR_debug`; `GL_KHR_debug`
      Parameters:
        `label` - a direct or array-backed `ByteBuffer`

    - #### glObjectLabel

          void glObjectLabel(int identifier,
                           int name,
                           int length,
                           byte[] label,
                           int label_offset)

      Entry point to C language function: `void glObjectLabel(GLenum identifier, GLuint name, GLsizei length, const GLchar * label)`
      Part of `GL_VERSION_4_3`, `GL_KHR_debug`; `GL_KHR_debug`

    - #### glObjectPtrLabel

          void glObjectPtrLabel(Buffer ptr,
                              int length,
                              ByteBuffer label)

      Entry point to C language function: `void glObjectPtrLabel(const void * ptr, GLsizei length, const GLchar * label)`
      Part of `GL_VERSION_4_3`, `GL_KHR_debug`; `GL_KHR_debug`
      Parameters:
        `ptr` - a direct or array-backed `Buffer`
        `label` - a direct or array-backed `ByteBuffer`

    - #### glObjectPtrLabel

          void glObjectPtrLabel(Buffer ptr,
                              int length,
                              byte[] label,
                              int label_offset)

      Entry point to C language function: `void glObjectPtrLabel(const void * ptr, GLsizei length, const GLchar * label)`
      Part of `GL_VERSION_4_3`, `GL_KHR_debug`; `GL_KHR_debug`
      Parameters:
        `ptr` - a direct or array-backed `Buffer`

    - #### glPopDebugGroup

          void glPopDebugGroup()

      Entry point to C language function: `void glPopDebugGroup(void)`
      Part of `GL_VERSION_4_3`, `GL_KHR_debug`; `GL_KHR_debug`

    - #### glProgramBinary

          void glProgramBinary(int program,
                             int binaryFormat,
                             Buffer binary,
                             int length)

      Entry point to C language function: `void glProgramBinary(GLuint program, GLenum binaryFormat, const GLvoid * binary, GLint length)`
      Part of `GL_ES_VERSION_3_0`, `GL_VERSION_4_1`, `GL_ARB_get_program_binary`; `GL_OES_get_program_binary`
      Parameters:
        `binary` - a direct or array-backed `Buffer`

    - #### glPushDebugGroup

          void glPushDebugGroup(int source,
                              int id,
                              int length,
                              ByteBuffer message)

      Entry point to C language function: `void glPushDebugGroup(GLenum source, GLuint id, GLsizei length, const GLchar * message)`
      Part of `GL_VERSION_4_3`, `GL_KHR_debug`; `GL_KHR_debug`
      Parameters:
        `message` - a direct or array-backed `ByteBuffer`

    - #### glPushDebugGroup

          void glPushDebugGroup(int source,
                              int id,
                              int length,
                              byte[] message,
                              int message_offset)

      Entry point to C language function: `void glPushDebugGroup(GLenum source, GLuint id, GLsizei length, const GLchar * message)`
      Part of `GL_VERSION_4_3`, `GL_KHR_debug`; `GL_KHR_debug`

    - #### glShaderSource

          void glShaderSource(int shader,
                            int count,
                            String[] string,
                            IntBuffer length)

      Entry point to C language function: `void glShaderSource(GLuint shader, GLsizei count, const GLchar * * string, const GLint * length)`
      Part of `GL_ES_VERSION_2_0`, `GL_VERSION_2_0`
      Parameters:
        `length` - a direct or array-backed `IntBuffer`

    - #### glShaderSource

          void glShaderSource(int shader,
                            int count,
                            String[] string,
                            int[] length,
                            int length_offset)

      Entry point to C language function: `void glShaderSource(GLuint shader, GLsizei count, const GLchar * * string, const GLint * length)`
      Part of `GL_ES_VERSION_2_0`, `GL_VERSION_2_0`

    - #### glStencilFuncSeparate

          void glStencilFuncSeparate(int face,
                                   int func,
                                   int ref,
                                   int mask)

      Entry point to C language function: `void glStencilFuncSeparate(GLenum face, GLenum func, GLint ref, GLuint mask)`
      Part of `GL_ES_VERSION_2_0`, `GL_VERSION_2_0`

    - #### glStencilMaskSeparate

          void glStencilMaskSeparate(int face,
                                   int mask)

      Entry point to C language function: `void glStencilMaskSeparate(GLenum face, GLuint mask)`
      Part of `GL_ES_VERSION_2_0`, `GL_VERSION_2_0`

    - #### glStencilOpSeparate

          void glStencilOpSeparate(int face,
                                 int fail,
                                 int zfail,
                                 int zpass)

      Entry point to C language function: `void glStencilOpSeparate(GLenum face, GLenum fail, GLenum zfail, GLenum zpass)`
      Part of `GL_ES_VERSION_2_0`, `GL_VERSION_2_0`

    - #### glTexImage3D

          void glTexImage3D(int target,
                          int level,
                          int internalformat,
                          int width,
                          int height,
                          int depth,
                          int border,
                          int format,
                          int type,
                          Buffer pixels)

      Entry point to C language function: `void glTexImage3D(GLenum target, GLint level, GLint internalformat, GLsizei width, GLsizei height, GLsizei depth, GLint border, GLenum format, GLenum type, const GLvoid * pixels)`
      Part of `GL_VERSION_1_2`, `GL_ES_VERSION_3_0`; `GL_OES_texture_3D`
      Parameters:
        `pixels` - a direct or array-backed `Buffer`

    - #### glTexImage3D

          void glTexImage3D(int target,
                          int level,
                          int internalformat,
                          int width,
                          int height,
                          int depth,
                          int border,
                          int format,
                          int type,
                          long pixels_buffer_offset)

      Entry point to C language function: `void glTexImage3D(GLenum target, GLint level, GLint internalformat, GLsizei width, GLsizei height, GLsizei depth, GLint border, GLenum format, GLenum type, const GLvoid * pixels)`
      Part of `GL_VERSION_1_2`, `GL_ES_VERSION_3_0`; `GL_OES_texture_3D`

    - #### glTexSubImage3D

          void glTexSubImage3D(int target,
                             int level,
                             int xoffset,
                             int yoffset,
                             int zoffset,
                             int width,
                             int height,
                             int depth,
                             int format,
                             int type,
                             Buffer pixels)

      Entry point to C language function: `void glTexSubImage3D(GLenum target, GLint level, GLint xoffset, GLint yoffset, GLint zoffset, GLsizei width, GLsizei height, GLsizei depth, GLenum format, GLenum type, const GLvoid * pixels)`
      Part of `GL_VERSION_1_2`, `GL_ES_VERSION_3_0`; `GL_OES_texture_3D`
      Parameters:
        `pixels` - a direct or array-backed `Buffer`

    - #### glTexSubImage3D

          void glTexSubImage3D(int target,
                             int level,
                             int xoffset,
                             int yoffset,
                             int zoffset,
                             int width,
                             int height,
                             int depth,
                             int format,
                             int type,
                             long pixels_buffer_offset)

      Entry point to C language function: `void glTexSubImage3D(GLenum target, GLint level, GLint xoffset, GLint yoffset, GLint zoffset, GLsizei width, GLsizei height, GLsizei depth, GLenum format, GLenum type, const GLvoid * pixels)`
      Part of `GL_VERSION_1_2`, `GL_ES_VERSION_3_0`; `GL_OES_texture_3D`

    - #### glUniform1f

          void glUniform1f(int location,
                         float x)

      Entry point to C language function: `void glUniform1f(GLint location, GLfloat x)`
      Part of `GL_ES_VERSION_2_0`, `GL_VERSION_2_0`

    - #### glUniform1fv

          void glUniform1fv(int location,
                          int count,
                          FloatBuffer v)

      Entry point to C language function: `void glUniform1fv(GLint location, GLsizei count, const GLfloat * v)`
      Part of `GL_ES_VERSION_2_0`, `GL_VERSION_2_0`
      Parameters:
        `v` - a direct or array-backed `FloatBuffer`

    - #### glUniform1fv

          void glUniform1fv(int location,
                          int count,
                          float[] v,
                          int v_offset)

      Entry point to C language function: `void glUniform1fv(GLint location, GLsizei count, const GLfloat * v)`
      Part of `GL_ES_VERSION_2_0`, `GL_VERSION_2_0`

    - #### glUniform1i

          void glUniform1i(int location,
                         int x)

      Entry point to C language function: `void glUniform1i(GLint location, GLint x)`
      Part of `GL_ES_VERSION_2_0`, `GL_VERSION_2_0`

    - #### glUniform1iv

          void glUniform1iv(int location,
                          int count,
                          IntBuffer v)

      Entry point to C language function: `void glUniform1iv(GLint location, GLsizei count, const GLint * v)`
      Part of `GL_ES_VERSION_2_0`, `GL_VERSION_2_0`
      Parameters:
        `v` - a direct or array-backed `IntBuffer`

    - #### glUniform1iv

          void glUniform1iv(int location,
                          int count,
                          int[] v,
                          int v_offset)

      Entry point to C language function: `void glUniform1iv(GLint location, GLsizei count, const GLint * v)`
      Part of `GL_ES_VERSION_2_0`, `GL_VERSION_2_0`

    - #### glUniform2f

          void glUniform2f(int location,
                         float x,
                         float y)

      Entry point to C language function: `void glUniform2f(GLint location, GLfloat x, GLfloat y)`
      Part of `GL_ES_VERSION_2_0`, `GL_VERSION_2_0`

    - #### glUniform2fv

          void glUniform2fv(int location,
                          int count,
                          FloatBuffer v)

      Entry point to C language function: `void glUniform2fv(GLint location, GLsizei count, const GLfloat * v)`
      Part of `GL_ES_VERSION_2_0`, `GL_VERSION_2_0`
      Parameters:
        `v` - a direct or array-backed `FloatBuffer`

    - #### glUniform2fv

          void glUniform2fv(int location,
                          int count,
                          float[] v,
                          int v_offset)

      Entry point to C language function: `void glUniform2fv(GLint location, GLsizei count, const GLfloat * v)`
      Part of `GL_ES_VERSION_2_0`, `GL_VERSION_2_0`

    - #### glUniform2i

          void glUniform2i(int location,
                         int x,
                         int y)

      Entry point to C language function: `void glUniform2i(GLint location, GLint x, GLint y)`
      Part of `GL_ES_VERSION_2_0`, `GL_VERSION_2_0`

    - #### glUniform2iv

          void glUniform2iv(int location,
                          int count,
                          IntBuffer v)

      Entry point to C language function: `void glUniform2iv(GLint location, GLsizei count, const GLint * v)`
      Part of `GL_ES_VERSION_2_0`, `GL_VERSION_2_0`
      Parameters:
        `v` - a direct or array-backed `IntBuffer`

    - #### glUniform2iv

          void glUniform2iv(int location,
                          int count,
                          int[] v,
                          int v_offset)

      Entry point to C language function: `void glUniform2iv(GLint location, GLsizei count, const GLint * v)`
      Part of `GL_ES_VERSION_2_0`, `GL_VERSION_2_0`

    - #### glUniform3f

          void glUniform3f(int location,
                         float x,
                         float y,
                         float z)

      Entry point to C language function: `void glUniform3f(GLint location, GLfloat x, GLfloat y, GLfloat z)`
      Part of `GL_ES_VERSION_2_0`, `GL_VERSION_2_0`

    - #### glUniform3fv

          void glUniform3fv(int location,
                          int count,
                          FloatBuffer v)

      Entry point to C language function: `void glUniform3fv(GLint location, GLsizei count, const GLfloat * v)`
      Part of `GL_ES_VERSION_2_0`, `GL_VERSION_2_0`
      Parameters:
        `v` - a direct or array-backed `FloatBuffer`

    - #### glUniform3fv

          void glUniform3fv(int location,
                          int count,
                          float[] v,
                          int v_offset)

      Entry point to C language function: `void glUniform3fv(GLint location, GLsizei count, const GLfloat * v)`
      Part of `GL_ES_VERSION_2_0`, `GL_VERSION_2_0`

    - #### glUniform3i

          void glUniform3i(int location,
                         int x,
                         int y,
                         int z)

      Entry point to C language function: `void glUniform3i(GLint location, GLint x, GLint y, GLint z)`
      Part of `GL_ES_VERSION_2_0`, `GL_VERSION_2_0`

    - #### glUniform3iv

          void glUniform3iv(int location,
                          int count,
                          IntBuffer v)

      Entry point to C language function: `void glUniform3iv(GLint location, GLsizei count, const GLint * v)`
      Part of `GL_ES_VERSION_2_0`, `GL_VERSION_2_0`
      Parameters:
        `v` - a direct or array-backed `IntBuffer`

    - #### glUniform3iv

          void glUniform3iv(int location,
                          int count,
                          int[] v,
                          int v_offset)

      Entry point to C language function: `void glUniform3iv(GLint location, GLsizei count, const GLint * v)`
      Part of `GL_ES_VERSION_2_0`, `GL_VERSION_2_0`

    - #### glUniform4f

          void glUniform4f(int location,
                         float x,
                         float y,
                         float z,
                         float w)

      Entry point to C language function: `void glUniform4f(GLint location, GLfloat x, GLfloat y, GLfloat z, GLfloat w)`
      Part of `GL_ES_VERSION_2_0`, `GL_VERSION_2_0`

    - #### glUniform4fv

          void glUniform4fv(int location,
                          int count,
                          FloatBuffer v)

      Entry point to C language function: `void glUniform4fv(GLint location, GLsizei count, const GLfloat * v)`
      Part of `GL_ES_VERSION_2_0`, `GL_VERSION_2_0`
      Parameters:
        `v` - a direct or array-backed `FloatBuffer`

    - #### glUniform4fv

          void glUniform4fv(int location,
                          int count,
                          float[] v,
                          int v_offset)

      Entry point to C language function: `void glUniform4fv(GLint location, GLsizei count, const GLfloat * v)`
      Part of `GL_ES_VERSION_2_0`, `GL_VERSION_2_0`

    - #### glUniform4i

          void glUniform4i(int location,
                         int x,
                         int y,
                         int z,
                         int w)

      Entry point to C language function: `void glUniform4i(GLint location, GLint x, GLint y, GLint z, GLint w)`
      Part of `GL_ES_VERSION_2_0`, `GL_VERSION_2_0`

    - #### glUniform4iv

          void glUniform4iv(int location,
                          int count,
                          IntBuffer v)

      Entry point to C language function: `void glUniform4iv(GLint location, GLsizei count, const GLint * v)`
      Part of `GL_ES_VERSION_2_0`, `GL_VERSION_2_0`
      Parameters:
        `v` - a direct or array-backed `IntBuffer`

    - #### glUniform4iv

          void glUniform4iv(int location,
                          int count,
                          int[] v,
                          int v_offset)

      Entry point to C language function: `void glUniform4iv(GLint location, GLsizei count, const GLint * v)`
      Part of `GL_ES_VERSION_2_0`, `GL_VERSION_2_0`

    - #### glUniformMatrix2fv

          void glUniformMatrix2fv(int location,
                                int count,
                                boolean transpose,
                                FloatBuffer value)

      Entry point to C language function: `void glUniformMatrix2fv(GLint location, GLsizei count, GLboolean transpose, const GLfloat * value)`
      Part of `GL_ES_VERSION_2_0`, `GL_VERSION_2_0`
      Parameters:
        `value` - a direct or array-backed `FloatBuffer`

    - #### glUniformMatrix2fv

          void glUniformMatrix2fv(int location,
                                int count,
                                boolean transpose,
                                float[] value,
                                int value_offset)

      Entry point to C language function: `void glUniformMatrix2fv(GLint location, GLsizei count, GLboolean transpose, const GLfloat * value)`
      Part of `GL_ES_VERSION_2_0`, `GL_VERSION_2_0`

    - #### glUniformMatrix3fv

          void glUniformMatrix3fv(int location,
                                int count,
                                boolean transpose,
                                FloatBuffer value)

      Entry point to C language function: `void glUniformMatrix3fv(GLint location, GLsizei count, GLboolean transpose, const GLfloat * value)`
      Part of `GL_ES_VERSION_2_0`, `GL_VERSION_2_0`
      Parameters:
        `value` - a direct or array-backed `FloatBuffer`

    - #### glUniformMatrix3fv

          void glUniformMatrix3fv(int location,
                                int count,
                                boolean transpose,
                                float[] value,
                                int value_offset)

      Entry point to C language function: `void glUniformMatrix3fv(GLint location, GLsizei count, GLboolean transpose, const GLfloat * value)`
      Part of `GL_ES_VERSION_2_0`, `GL_VERSION_2_0`

    - #### glUniformMatrix4fv

          void glUniformMatrix4fv(int location,
                                int count,
                                boolean transpose,
                                FloatBuffer value)

      Entry point to C language function: `void glUniformMatrix4fv(GLint location, GLsizei count, GLboolean transpose, const GLfloat * value)`
      Part of `GL_ES_VERSION_2_0`, `GL_VERSION_2_0`
      Parameters:
        `value` - a direct or array-backed `FloatBuffer`

    - #### glUniformMatrix4fv

          void glUniformMatrix4fv(int location,
                                int count,
                                boolean transpose,
                                float[] value,
                                int value_offset)

      Entry point to C language function: `void glUniformMatrix4fv(GLint location, GLsizei count, GLboolean transpose, const GLfloat * value)`
      Part of `GL_ES_VERSION_2_0`, `GL_VERSION_2_0`

    - #### glUseProgram

          void glUseProgram(int program)

      Entry point to C language function: `void glUseProgram(GLuint program)`
      Part of `GL_ES_VERSION_2_0`, `GL_VERSION_2_0`

    - #### glValidateProgram

          void glValidateProgram(int program)

      Entry point to C language function: `void glValidateProgram(GLuint program)`
      Part of `GL_ES_VERSION_2_0`, `GL_VERSION_2_0`

    - #### glVertexAttrib1f

          void glVertexAttrib1f(int indx,
                              float x)

      Entry point to C language function: `void glVertexAttrib1f(GLuint indx, GLfloat x)`
      Part of `GL_ES_VERSION_2_0`, `GL_VERSION_2_0`

    - #### glVertexAttrib1fv

          void glVertexAttrib1fv(int indx,
                               FloatBuffer values)

      Entry point to C language function: `void glVertexAttrib1fv(GLuint indx, const GLfloat * values)`
      Part of `GL_ES_VERSION_2_0`, `GL_VERSION_2_0`
      Parameters:
        `values` - a direct or array-backed `FloatBuffer`

    - #### glVertexAttrib1fv

          void glVertexAttrib1fv(int indx,
                               float[] values,
                               int values_offset)

      Entry point to C language function: `void glVertexAttrib1fv(GLuint indx, const GLfloat * values)`
      Part of `GL_ES_VERSION_2_0`, `GL_VERSION_2_0`

    - #### glVertexAttrib2f

          void glVertexAttrib2f(int indx,
                              float x,
                              float y)

      Entry point to C language function: `void glVertexAttrib2f(GLuint indx, GLfloat x, GLfloat y)`
      Part of `GL_ES_VERSION_2_0`, `GL_VERSION_2_0`

    - #### glVertexAttrib2fv

          void glVertexAttrib2fv(int indx,
                               FloatBuffer values)

      Entry point to C language function: `void glVertexAttrib2fv(GLuint indx, const GLfloat * values)`
      Part of `GL_ES_VERSION_2_0`, `GL_VERSION_2_0`
      Parameters:
        `values` - a direct or array-backed `FloatBuffer`

    - #### glVertexAttrib2fv

          void glVertexAttrib2fv(int indx,
                               float[] values,
                               int values_offset)

      Entry point to C language function: `void glVertexAttrib2fv(GLuint indx, const GLfloat * values)`
      Part of `GL_ES_VERSION_2_0`, `GL_VERSION_2_0`

    - #### glVertexAttrib3f

          void glVertexAttrib3f(int indx,
                              float x,
                              float y,
                              float z)

      Entry point to C language function: `void glVertexAttrib3f(GLuint indx, GLfloat x, GLfloat y, GLfloat z)`
      Part of `GL_ES_VERSION_2_0`, `GL_VERSION_2_0`

    - #### glVertexAttrib3fv

          void glVertexAttrib3fv(int indx,
                               FloatBuffer values)

      Entry point to C language function: `void glVertexAttrib3fv(GLuint indx, const GLfloat * values)`
      Part of `GL_ES_VERSION_2_0`, `GL_VERSION_2_0`
      Parameters:
        `values` - a direct or array-backed `FloatBuffer`

    - #### glVertexAttrib3fv

          void glVertexAttrib3fv(int indx,
                               float[] values,
                               int values_offset)

      Entry point to C language function: `void glVertexAttrib3fv(GLuint indx, const GLfloat * values)`
      Part of `GL_ES_VERSION_2_0`, `GL_VERSION_2_0`

    - #### glVertexAttrib4f

          void glVertexAttrib4f(int indx,
                              float x,
                              float y,
                              float z,
                              float w)

      Entry point to C language function: `void glVertexAttrib4f(GLuint indx, GLfloat x, GLfloat y, GLfloat z, GLfloat w)`
      Part of `GL_ES_VERSION_2_0`, `GL_VERSION_2_0`

    - #### glVertexAttrib4fv

          void glVertexAttrib4fv(int indx,
                               FloatBuffer values)

      Entry point to C language function: `void glVertexAttrib4fv(GLuint indx, const GLfloat * values)`
      Part of `GL_ES_VERSION_2_0`, `GL_VERSION_2_0`
      Parameters:
        `values` - a direct or array-backed `FloatBuffer`

    - #### glVertexAttrib4fv

          void glVertexAttrib4fv(int indx,
                               float[] values,
                               int values_offset)

      Entry point to C language function: `void glVertexAttrib4fv(GLuint indx, const GLfloat * values)`
      Part of `GL_ES_VERSION_2_0`, `GL_VERSION_2_0`

    - #### glVertexAttribPointer

          void glVertexAttribPointer(int indx,
                                   int size,
                                   int type,
                                   boolean normalized,
                                   int stride,
                                   long ptr_buffer_offset)

      Entry point to C language function: `void glVertexAttribPointer(GLuint indx, GLint size, GLenum type, GLboolean normalized, GLsizei stride, const GLvoid * ptr)`
      Part of `GL_ES_VERSION_2_0`, `GL_VERSION_2_0`

    - #### glReleaseShaderCompiler

          void glReleaseShaderCompiler()

      Entry point to C language function: `void glReleaseShaderCompiler(void);`
      Part of `GL_ES_VERSION_2_0` and `GL_ARB_ES2_compatibility`.
      Nop if no native implementation is available.

    - #### glShaderBinary

          void glShaderBinary(int n,
                            IntBuffer shaders,
                            int binaryformat,
                            Buffer binary,
                            int length)

      Entry point to C language function: `void glShaderBinary(GLint n, const GLuint * shaders, GLenum binaryformat, const void * binary, GLint length);`
      Part of `GL_ES_VERSION_2_0` and `GL_ARB_ES2_compatibility`.
      Throws GLException if no native implementation is available.

    - #### glShaderBinary

          void glShaderBinary(int n,
                            int[] shaders,
                            int shaders_offset,
                            int binaryformat,
                            Buffer binary,
                            int length)

      Entry point to C language function: `void glShaderBinary(GLint n, const GLuint * shaders, GLenum binaryformat, const void * binary, GLint length);`
      Part of `GL_ES_VERSION_2_0` and `GL_ARB_ES2_compatibility`.
      Throws GLException if no native implementation is available.

    - #### glGetShaderPrecisionFormat

          void glGetShaderPrecisionFormat(int shadertype,
                                        int precisiontype,
                                        IntBuffer range,
                                        IntBuffer precision)

      Entry point to C language function: `void glGetShaderPrecisionFormat(GLenum shadertype, GLenum precisiontype, GLint * range, GLint * precision);`
      Part of `GL_ES_VERSION_2_0` and `GL_ARB_ES2_compatibility`.
      Throws GLException if no native implementation is available.

    - #### glGetShaderPrecisionFormat

          void glGetShaderPrecisionFormat(int shadertype,
                                        int precisiontype,
                                        int[] range,
                                        int range_offset,
                                        int[] precision,
                                        int precision_offset)

      Entry point to C language function: `void glGetShaderPrecisionFormat(GLenum shadertype, GLenum precisiontype, GLint * range, GLint * precision);`
      Part of `GL_ES_VERSION_2_0` and `GL_ARB_ES2_compatibility`.
      Throws GLException if no native implementation is available.

    - #### glDepthRangef

          void glDepthRangef(float zNear,
                           float zFar)

      Entry point to C language function: `void glDepthRangef(GLclampf zNear, GLclampf zFar);`
      Part of `GL_ES_VERSION_2_0` and `GL_ARB_ES2_compatibility`.
      Calls `void glDepthRange(GLclampd zNear, GLclampd zFar);` if no native implementation is available.
      Specified by:
        `glDepthRangef` in interface `GL`

    - #### glDepthRange

          void glDepthRange(double zNear,
                          double zFar)

      Description copied from interface: `GLBase`
      Aliased entrypoint of `void glDepthRange(GLclampd depth);` and `void glDepthRangef(GLclampf depth);` .
      Specified by:
        `glDepthRange` in interface `GLBase`

    - #### glClearDepthf

          void glClearDepthf(float depth)

      Entry point to C language function: `void glClearDepthf(GLclampf depth);`
      Part of `GL_ES_VERSION_2_0` and `GL_ARB_ES2_compatibility`.
      Calls `void glClearDepth(GLclampd depth);` if no native implementation is available.
      Specified by:
        `glClearDepthf` in interface `GL`

    - #### glClearDepth

          void glClearDepth(double depth)

      Description copied from interface: `GLBase`
      Aliased entrypoint of `void glClearDepth(GLclampd depth);` and `void glClearDepthf(GLclampf depth);` .
      Specified by:
        `glClearDepth` in interface `GLBase`

    - #### glVertexAttribPointer

          void glVertexAttribPointer(GLArrayData array)

    - #### glUniform

          void glUniform(GLUniformData data)

Copyright 2010 JogAmp Community.